gi-gio-2.0.19: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Gio.Flags

Contents

- Flags
  - AppInfoCreateFlags
  - ApplicationFlags
  - AskPasswordFlags
  - BusNameOwnerFlags
  - BusNameWatcherFlags
  - ConverterFlags
  - DBusCallFlags
  - DBusCapabilityFlags
  - DBusConnectionFlags
  - DBusInterfaceSkeletonFlags
  - DBusMessageFlags
  - DBusObjectManagerClientFlags
  - DBusPropertyInfoFlags
  - DBusProxyFlags
  - DBusSendMessageFlags
  - DBusServerFlags
  - DBusSignalFlags
  - DBusSubtreeFlags
  - DriveStartFlags
  - FileAttributeInfoFlags
  - FileCopyFlags
  - FileCreateFlags
  - FileMeasureFlags
  - FileMonitorFlags
  - FileQueryInfoFlags
  - IOStreamSpliceFlags
  - MountMountFlags
  - MountUnmountFlags
  - OutputStreamSpliceFlags
  - ResolverNameLookupFlags
  - ResourceFlags
  - ResourceLookupFlags
  - SettingsBindFlags
  - SocketMsgFlags
  - SubprocessFlags
  - TestDBusFlags
  - TlsCertificateFlags
  - TlsDatabaseVerifyFlags
  - TlsPasswordFlags

Description

Synopsis

- data AppInfoCreateFlags
  - = AppInfoCreateFlagsNone
  - | AppInfoCreateFlagsNeedsTerminal
  - | AppInfoCreateFlagsSupportsUris
  - | AppInfoCreateFlagsSupportsStartupNotification
  - | AnotherAppInfoCreateFlags Int
- data ApplicationFlags
  - = ApplicationFlagsFlagsNone
  - | ApplicationFlagsIsService
  - | ApplicationFlagsIsLauncher
  - | ApplicationFlagsHandlesOpen
  - | ApplicationFlagsHandlesCommandLine
  - | ApplicationFlagsSendEnvironment
  - | ApplicationFlagsNonUnique
  - | ApplicationFlagsCanOverrideAppId
  - | ApplicationFlagsAllowReplacement
  - | ApplicationFlagsReplace
  - | AnotherApplicationFlags Int
- data AskPasswordFlags
  - = AskPasswordFlagsNeedPassword
  - | AskPasswordFlagsNeedUsername
  - | AskPasswordFlagsNeedDomain
  - | AskPasswordFlagsSavingSupported
  - | AskPasswordFlagsAnonymousSupported
  - | AskPasswordFlagsTcrypt
  - | AnotherAskPasswordFlags Int
- data BusNameOwnerFlags
  - = BusNameOwnerFlagsNone
  - | BusNameOwnerFlagsAllowReplacement
  - | BusNameOwnerFlagsReplace
  - | BusNameOwnerFlagsDoNotQueue
  - | AnotherBusNameOwnerFlags Int
- data BusNameWatcherFlags
  - = BusNameWatcherFlagsNone
  - | BusNameWatcherFlagsAutoStart
  - | AnotherBusNameWatcherFlags Int
- data ConverterFlags
  - = ConverterFlagsNone
  - | ConverterFlagsInputAtEnd
  - | ConverterFlagsFlush
  - | AnotherConverterFlags Int
- data DBusCallFlags
  - = DBusCallFlagsNone
  - | DBusCallFlagsNoAutoStart
  - | DBusCallFlagsAllowInteractiveAuthorization
  - | AnotherDBusCallFlags Int
- data DBusCapabilityFlags
  - = DBusCapabilityFlagsNone
  - | DBusCapabilityFlagsUnixFdPassing
  - | AnotherDBusCapabilityFlags Int
- data DBusConnectionFlags
  - = DBusConnectionFlagsNone
  - | DBusConnectionFlagsAuthenticationClient
  - | DBusConnectionFlagsAuthenticationServer
  - | DBusConnectionFlagsAuthenticationAllowAnonymous
  - | DBusConnectionFlagsMessageBusConnection
  - | DBusConnectionFlagsDelayMessageProcessing
  - | AnotherDBusConnectionFlags Int
- data DBusInterfaceSkeletonFlags
  - = DBusInterfaceSkeletonFlagsNone
  - | DBusInterfaceSkeletonFlagsHandleMethodInvocationsInThread
  - | AnotherDBusInterfaceSkeletonFlags Int
- data DBusMessageFlags
  - = DBusMessageFlagsNone
  - | DBusMessageFlagsNoReplyExpected
  - | DBusMessageFlagsNoAutoStart
  - | DBusMessageFlagsAllowInteractiveAuthorization
  - | AnotherDBusMessageFlags Int
- data DBusObjectManagerClientFlags
  - = DBusObjectManagerClientFlagsNone
  - | DBusObjectManagerClientFlagsDoNotAutoStart
  - | AnotherDBusObjectManagerClientFlags Int
- data DBusPropertyInfoFlags
  - = DBusPropertyInfoFlagsNone
  - | DBusPropertyInfoFlagsReadable
  - | DBusPropertyInfoFlagsWritable
  - | AnotherDBusPropertyInfoFlags Int
- data DBusProxyFlags
  - = DBusProxyFlagsNone
  - | DBusProxyFlagsDoNotLoadProperties
  - | DBusProxyFlagsDoNotConnectSignals
  - | DBusProxyFlagsDoNotAutoStart
  - | DBusProxyFlagsGetInvalidatedProperties
  - | DBusProxyFlagsDoNotAutoStartAtConstruction
  - | AnotherDBusProxyFlags Int
- data DBusSendMessageFlags
  - = DBusSendMessageFlagsNone
  - | DBusSendMessageFlagsPreserveSerial
  - | AnotherDBusSendMessageFlags Int
- data DBusServerFlags
  - = DBusServerFlagsNone
  - | DBusServerFlagsRunInThread
  - | DBusServerFlagsAuthenticationAllowAnonymous
  - | AnotherDBusServerFlags Int
- data DBusSignalFlags
  - = DBusSignalFlagsNone
  - | DBusSignalFlagsNoMatchRule
  - | DBusSignalFlagsMatchArg0Namespace
  - | DBusSignalFlagsMatchArg0Path
  - | AnotherDBusSignalFlags Int
- data DBusSubtreeFlags
  - = DBusSubtreeFlagsNone
  - | DBusSubtreeFlagsDispatchToUnenumeratedNodes
  - | AnotherDBusSubtreeFlags Int
- data DriveStartFlags
  - = DriveStartFlagsNone
  - | AnotherDriveStartFlags Int
- data FileAttributeInfoFlags
  - = FileAttributeInfoFlagsNone
  - | FileAttributeInfoFlagsCopyWithFile
  - | FileAttributeInfoFlagsCopyWhenMoved
  - | AnotherFileAttributeInfoFlags Int
- data FileCopyFlags
  - = FileCopyFlagsNone
  - | FileCopyFlagsOverwrite
  - | FileCopyFlagsBackup
  - | FileCopyFlagsNofollowSymlinks
  - | FileCopyFlagsAllMetadata
  - | FileCopyFlagsNoFallbackForMove
  - | FileCopyFlagsTargetDefaultPerms
  - | AnotherFileCopyFlags Int
- data FileCreateFlags
  - = FileCreateFlagsNone
  - | FileCreateFlagsPrivate
  - | FileCreateFlagsReplaceDestination
  - | AnotherFileCreateFlags Int
- data FileMeasureFlags
  - = FileMeasureFlagsNone
  - | FileMeasureFlagsReportAnyError
  - | FileMeasureFlagsApparentSize
  - | FileMeasureFlagsNoXdev
  - | AnotherFileMeasureFlags Int
- data FileMonitorFlags
  - = FileMonitorFlagsNone
  - | FileMonitorFlagsWatchMounts
  - | FileMonitorFlagsSendMoved
  - | FileMonitorFlagsWatchHardLinks
  - | FileMonitorFlagsWatchMoves
  - | AnotherFileMonitorFlags Int
- data FileQueryInfoFlags
  - = FileQueryInfoFlagsNone
  - | FileQueryInfoFlagsNofollowSymlinks
  - | AnotherFileQueryInfoFlags Int
- data IOStreamSpliceFlags
  - = IOStreamSpliceFlagsNone
  - | IOStreamSpliceFlagsCloseStream1
  - | IOStreamSpliceFlagsCloseStream2
  - | IOStreamSpliceFlagsWaitForBoth
  - | AnotherIOStreamSpliceFlags Int
- data MountMountFlags
  - = MountMountFlagsNone
  - | AnotherMountMountFlags Int
- data MountUnmountFlags
  - = MountUnmountFlagsNone
  - | MountUnmountFlagsForce
  - | AnotherMountUnmountFlags Int
- data OutputStreamSpliceFlags
  - = OutputStreamSpliceFlagsNone
  - | OutputStreamSpliceFlagsCloseSource
  - | OutputStreamSpliceFlagsCloseTarget
  - | AnotherOutputStreamSpliceFlags Int
- data ResolverNameLookupFlags
  - = ResolverNameLookupFlagsDefault
  - | ResolverNameLookupFlagsIpv4Only
  - | ResolverNameLookupFlagsIpv6Only
  - | AnotherResolverNameLookupFlags Int
- data ResourceFlags
  - = ResourceFlagsNone
  - | ResourceFlagsCompressed
  - | AnotherResourceFlags Int
- data ResourceLookupFlags
  - = ResourceLookupFlagsNone
  - | AnotherResourceLookupFlags Int
- data SettingsBindFlags
  - = SettingsBindFlagsDefault
  - | SettingsBindFlagsGet
  - | SettingsBindFlagsSet
  - | SettingsBindFlagsNoSensitivity
  - | SettingsBindFlagsGetNoChanges
  - | SettingsBindFlagsInvertBoolean
  - | AnotherSettingsBindFlags Int
- data SocketMsgFlags
  - = SocketMsgFlagsNone
  - | SocketMsgFlagsOob
  - | SocketMsgFlagsPeek
  - | SocketMsgFlagsDontroute
  - | AnotherSocketMsgFlags Int
- data SubprocessFlags
  - = SubprocessFlagsNone
  - | SubprocessFlagsStdinPipe
  - | SubprocessFlagsStdinInherit
  - | SubprocessFlagsStdoutPipe
  - | SubprocessFlagsStdoutSilence
  - | SubprocessFlagsStderrPipe
  - | SubprocessFlagsStderrSilence
  - | SubprocessFlagsStderrMerge
  - | SubprocessFlagsInheritFds
  - | AnotherSubprocessFlags Int
- data TestDBusFlags
  - = TestDBusFlagsNone
  - | AnotherTestDBusFlags Int
- data TlsCertificateFlags
  - = TlsCertificateFlagsUnknownCa
  - | TlsCertificateFlagsBadIdentity
  - | TlsCertificateFlagsNotActivated
  - | TlsCertificateFlagsExpired
  - | TlsCertificateFlagsRevoked
  - | TlsCertificateFlagsInsecure
  - | TlsCertificateFlagsGenericError
  - | TlsCertificateFlagsValidateAll
  - | AnotherTlsCertificateFlags Int
- data TlsDatabaseVerifyFlags
  - = TlsDatabaseVerifyFlagsNone
  - | AnotherTlsDatabaseVerifyFlags Int
- data TlsPasswordFlags
  - = TlsPasswordFlagsNone
  - | TlsPasswordFlagsRetry
  - | TlsPasswordFlagsManyTries
  - | TlsPasswordFlagsFinalTry
  - | AnotherTlsPasswordFlags Int

# Flags

## AppInfoCreateFlags

data AppInfoCreateFlags Source #

Flags used when creating a `AppInfo`.

Constructors

AppInfoCreateFlagsNone | No flags.
AppInfoCreateFlagsNeedsTerminal | Application opens in a terminal window.
AppInfoCreateFlagsSupportsUris | Application supports URI arguments.
AppInfoCreateFlagsSupportsStartupNotification | Application supports startup notification. Since 2.26
AnotherAppInfoCreateFlags Int | Catch-all for unknown values

Instances

Enum AppInfoCreateFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: AppInfoCreateFlags -> AppInfoCreateFlags Source #

pred :: AppInfoCreateFlags -> AppInfoCreateFlags Source #

toEnum :: Int -> AppInfoCreateFlags Source #

fromEnum :: AppInfoCreateFlags -> Int Source #

enumFrom :: AppInfoCreateFlags -> [AppInfoCreateFlags] Source #

enumFromThen :: AppInfoCreateFlags -> AppInfoCreateFlags -> [AppInfoCreateFlags] Source #

enumFromTo :: AppInfoCreateFlags -> AppInfoCreateFlags -> [AppInfoCreateFlags] Source #

enumFromThenTo :: AppInfoCreateFlags -> AppInfoCreateFlags -> AppInfoCreateFlags -> [AppInfoCreateFlags] Source #

Eq AppInfoCreateFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: AppInfoCreateFlags -> AppInfoCreateFlags -> Bool Source # (/=) :: AppInfoCreateFlags -> AppInfoCreateFlags -> Bool Source #
Ord AppInfoCreateFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: AppInfoCreateFlags -> AppInfoCreateFlags -> Ordering Source #

(<) :: AppInfoCreateFlags -> AppInfoCreateFlags -> Bool Source #

(<=) :: AppInfoCreateFlags -> AppInfoCreateFlags -> Bool Source #

(>) :: AppInfoCreateFlags -> AppInfoCreateFlags -> Bool Source #

(>=) :: AppInfoCreateFlags -> AppInfoCreateFlags -> Bool Source #

max :: AppInfoCreateFlags -> AppInfoCreateFlags -> AppInfoCreateFlags Source #

min :: AppInfoCreateFlags -> AppInfoCreateFlags -> AppInfoCreateFlags Source #

Show AppInfoCreateFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> AppInfoCreateFlags -> ShowS Source # show :: AppInfoCreateFlags -> String Source # showList :: [AppInfoCreateFlags] -> ShowS Source #
IsGFlag AppInfoCreateFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags AppInfoCreateFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy AppInfoCreateFlags -> IO GType Source #

## ApplicationFlags

data ApplicationFlags Source #

Flags used to define the behaviour of a `Application`.

Since: 2.28

Constructors

ApplicationFlagsFlagsNone | Default
ApplicationFlagsIsService | Run as a service. In this mode, registration fails if the service is already running, and the application will initially wait up to 10 seconds for an initial activation message to arrive.
ApplicationFlagsIsLauncher | Don't try to become the primary instance.
ApplicationFlagsHandlesOpen | This application handles opening files (in the primary instance). Note that this flag only affects the default implementation of `local_command_line()`, and has no effect if `ApplicationFlagsHandlesCommandLine` is given. See `applicationRun` for details.
ApplicationFlagsHandlesCommandLine | This application handles command line arguments (in the primary instance). Note that this flag only affect the default implementation of `local_command_line()`. See `applicationRun` for details.

ApplicationFlagsSendEnvironment

Send the environment of the launching process to the primary instance. Set this flag if your application is expected to behave differently depending on certain environment variables. For instance, an editor might be expected to use the `GIT_COMMITTER_NAME` environment variable when editing a git commit message. The environment is available to the `Application`::`command-line` signal handler, via `applicationCommandLineGetenv`.

ApplicationFlagsNonUnique | Make no attempts to do any of the typical single-instance application negotiation, even if the application ID is given. The application neither attempts to become the owner of the application ID nor does it check if an existing owner already exists. Everything occurs in the local process. Since: 2.30.
ApplicationFlagsCanOverrideAppId | Allow users to override the application ID from the command line with `--gapplication-app-id`. Since: 2.48
ApplicationFlagsAllowReplacement | Allow another instance to take over the bus name. Since: 2.60
ApplicationFlagsReplace | Take over from another instance. This flag is usually set by passing `--gapplication-replace` on the commandline. Since: 2.60
AnotherApplicationFlags Int | Catch-all for unknown values

Instances

Enum ApplicationFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: ApplicationFlags -> ApplicationFlags Source #

pred :: ApplicationFlags -> ApplicationFlags Source #

toEnum :: Int -> ApplicationFlags Source #

fromEnum :: ApplicationFlags -> Int Source #

enumFrom :: ApplicationFlags -> [ApplicationFlags] Source #

enumFromThen :: ApplicationFlags -> ApplicationFlags -> [ApplicationFlags] Source #

enumFromTo :: ApplicationFlags -> ApplicationFlags -> [ApplicationFlags] Source #

enumFromThenTo :: ApplicationFlags -> ApplicationFlags -> ApplicationFlags -> [ApplicationFlags] Source #

Eq ApplicationFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: ApplicationFlags -> ApplicationFlags -> Bool Source # (/=) :: ApplicationFlags -> ApplicationFlags -> Bool Source #
Ord ApplicationFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: ApplicationFlags -> ApplicationFlags -> Ordering Source #

(<) :: ApplicationFlags -> ApplicationFlags -> Bool Source #

(<=) :: ApplicationFlags -> ApplicationFlags -> Bool Source #

(>) :: ApplicationFlags -> ApplicationFlags -> Bool Source #

(>=) :: ApplicationFlags -> ApplicationFlags -> Bool Source #

max :: ApplicationFlags -> ApplicationFlags -> ApplicationFlags Source #

min :: ApplicationFlags -> ApplicationFlags -> ApplicationFlags Source #

Show ApplicationFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> ApplicationFlags -> ShowS Source # show :: ApplicationFlags -> String Source # showList :: [ApplicationFlags] -> ShowS Source #
IsGFlag ApplicationFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags ApplicationFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy ApplicationFlags -> IO GType Source #

## AskPasswordFlags

data AskPasswordFlags Source #

`AskPasswordFlags` are used to request specific information from the user, or to notify the user of their choices in an authentication situation.

Constructors

AskPasswordFlagsNeedPassword | operation requires a password.
AskPasswordFlagsNeedUsername | operation requires a username.
AskPasswordFlagsNeedDomain | operation requires a domain.
AskPasswordFlagsSavingSupported | operation supports saving settings.
AskPasswordFlagsAnonymousSupported | operation supports anonymous users.
AskPasswordFlagsTcrypt | operation takes TCRYPT parameters (Since: 2.58)
AnotherAskPasswordFlags Int | Catch-all for unknown values

Instances

Enum AskPasswordFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: AskPasswordFlags -> AskPasswordFlags Source #

pred :: AskPasswordFlags -> AskPasswordFlags Source #

toEnum :: Int -> AskPasswordFlags Source #

fromEnum :: AskPasswordFlags -> Int Source #

enumFrom :: AskPasswordFlags -> [AskPasswordFlags] Source #

enumFromThen :: AskPasswordFlags -> AskPasswordFlags -> [AskPasswordFlags] Source #

enumFromTo :: AskPasswordFlags -> AskPasswordFlags -> [AskPasswordFlags] Source #

enumFromThenTo :: AskPasswordFlags -> AskPasswordFlags -> AskPasswordFlags -> [AskPasswordFlags] Source #

Eq AskPasswordFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: AskPasswordFlags -> AskPasswordFlags -> Bool Source # (/=) :: AskPasswordFlags -> AskPasswordFlags -> Bool Source #
Ord AskPasswordFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: AskPasswordFlags -> AskPasswordFlags -> Ordering Source #

(<) :: AskPasswordFlags -> AskPasswordFlags -> Bool Source #

(<=) :: AskPasswordFlags -> AskPasswordFlags -> Bool Source #

(>) :: AskPasswordFlags -> AskPasswordFlags -> Bool Source #

(>=) :: AskPasswordFlags -> AskPasswordFlags -> Bool Source #

max :: AskPasswordFlags -> AskPasswordFlags -> AskPasswordFlags Source #

min :: AskPasswordFlags -> AskPasswordFlags -> AskPasswordFlags Source #

Show AskPasswordFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> AskPasswordFlags -> ShowS Source # show :: AskPasswordFlags -> String Source # showList :: [AskPasswordFlags] -> ShowS Source #
IsGFlag AskPasswordFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags AskPasswordFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy AskPasswordFlags -> IO GType Source #

## BusNameOwnerFlags

data BusNameOwnerFlags Source #

Flags used in `g_bus_own_name()`.

Since: 2.26

Constructors

BusNameOwnerFlagsNone | No flags set.
BusNameOwnerFlagsAllowReplacement | Allow another message bus connection to claim the name.
BusNameOwnerFlagsReplace | If another message bus connection owns the name and have specified `G_BUS_NAME_OWNER_FLAGS_ALLOW_REPLACEMENT`, then take the name from the other connection.
BusNameOwnerFlagsDoNotQueue | If another message bus connection owns the name, immediately return an error from `g_bus_own_name()` rather than entering the waiting queue for that name. (Since 2.54)
AnotherBusNameOwnerFlags Int | Catch-all for unknown values

Instances

Enum BusNameOwnerFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: BusNameOwnerFlags -> BusNameOwnerFlags Source #

pred :: BusNameOwnerFlags -> BusNameOwnerFlags Source #

toEnum :: Int -> BusNameOwnerFlags Source #

fromEnum :: BusNameOwnerFlags -> Int Source #

enumFrom :: BusNameOwnerFlags -> [BusNameOwnerFlags] Source #

enumFromThen :: BusNameOwnerFlags -> BusNameOwnerFlags -> [BusNameOwnerFlags] Source #

enumFromTo :: BusNameOwnerFlags -> BusNameOwnerFlags -> [BusNameOwnerFlags] Source #

enumFromThenTo :: BusNameOwnerFlags -> BusNameOwnerFlags -> BusNameOwnerFlags -> [BusNameOwnerFlags] Source #

Eq BusNameOwnerFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: BusNameOwnerFlags -> BusNameOwnerFlags -> Bool Source # (/=) :: BusNameOwnerFlags -> BusNameOwnerFlags -> Bool Source #
Ord BusNameOwnerFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: BusNameOwnerFlags -> BusNameOwnerFlags -> Ordering Source #

(<) :: BusNameOwnerFlags -> BusNameOwnerFlags -> Bool Source #

(<=) :: BusNameOwnerFlags -> BusNameOwnerFlags -> Bool Source #

(>) :: BusNameOwnerFlags -> BusNameOwnerFlags -> Bool Source #

(>=) :: BusNameOwnerFlags -> BusNameOwnerFlags -> Bool Source #

max :: BusNameOwnerFlags -> BusNameOwnerFlags -> BusNameOwnerFlags Source #

min :: BusNameOwnerFlags -> BusNameOwnerFlags -> BusNameOwnerFlags Source #

Show BusNameOwnerFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> BusNameOwnerFlags -> ShowS Source # show :: BusNameOwnerFlags -> String Source # showList :: [BusNameOwnerFlags] -> ShowS Source #
IsGFlag BusNameOwnerFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags BusNameOwnerFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy BusNameOwnerFlags -> IO GType Source #

## BusNameWatcherFlags

data BusNameWatcherFlags Source #

Flags used in `g_bus_watch_name()`.

Since: 2.26

Constructors

BusNameWatcherFlagsNone | No flags set.
BusNameWatcherFlagsAutoStart | If no-one owns the name when beginning to watch the name, ask the bus to launch an owner for the name.
AnotherBusNameWatcherFlags Int | Catch-all for unknown values

Instances

Enum BusNameWatcherFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: BusNameWatcherFlags -> BusNameWatcherFlags Source #

pred :: BusNameWatcherFlags -> BusNameWatcherFlags Source #

toEnum :: Int -> BusNameWatcherFlags Source #

fromEnum :: BusNameWatcherFlags -> Int Source #

enumFrom :: BusNameWatcherFlags -> [BusNameWatcherFlags] Source #

enumFromThen :: BusNameWatcherFlags -> BusNameWatcherFlags -> [BusNameWatcherFlags] Source #

enumFromTo :: BusNameWatcherFlags -> BusNameWatcherFlags -> [BusNameWatcherFlags] Source #

enumFromThenTo :: BusNameWatcherFlags -> BusNameWatcherFlags -> BusNameWatcherFlags -> [BusNameWatcherFlags] Source #

Eq BusNameWatcherFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: BusNameWatcherFlags -> BusNameWatcherFlags -> Bool Source # (/=) :: BusNameWatcherFlags -> BusNameWatcherFlags -> Bool Source #
Ord BusNameWatcherFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: BusNameWatcherFlags -> BusNameWatcherFlags -> Ordering Source #

(<) :: BusNameWatcherFlags -> BusNameWatcherFlags -> Bool Source #

(<=) :: BusNameWatcherFlags -> BusNameWatcherFlags -> Bool Source #

(>) :: BusNameWatcherFlags -> BusNameWatcherFlags -> Bool Source #

(>=) :: BusNameWatcherFlags -> BusNameWatcherFlags -> Bool Source #

max :: BusNameWatcherFlags -> BusNameWatcherFlags -> BusNameWatcherFlags Source #

min :: BusNameWatcherFlags -> BusNameWatcherFlags -> BusNameWatcherFlags Source #

Show BusNameWatcherFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> BusNameWatcherFlags -> ShowS Source # show :: BusNameWatcherFlags -> String Source # showList :: [BusNameWatcherFlags] -> ShowS Source #
IsGFlag BusNameWatcherFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags BusNameWatcherFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy BusNameWatcherFlags -> IO GType Source #

## ConverterFlags

data ConverterFlags Source #

Flags used when calling a `converterConvert`.

Since: 2.24

Constructors

ConverterFlagsNone | No flags.
ConverterFlagsInputAtEnd | At end of input data
ConverterFlagsFlush | Flush data
AnotherConverterFlags Int | Catch-all for unknown values

Instances

Enum ConverterFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: ConverterFlags -> ConverterFlags Source #

pred :: ConverterFlags -> ConverterFlags Source #

toEnum :: Int -> ConverterFlags Source #

fromEnum :: ConverterFlags -> Int Source #

enumFrom :: ConverterFlags -> [ConverterFlags] Source #

enumFromThen :: ConverterFlags -> ConverterFlags -> [ConverterFlags] Source #

enumFromTo :: ConverterFlags -> ConverterFlags -> [ConverterFlags] Source #

enumFromThenTo :: ConverterFlags -> ConverterFlags -> ConverterFlags -> [ConverterFlags] Source #

Eq ConverterFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: ConverterFlags -> ConverterFlags -> Bool Source # (/=) :: ConverterFlags -> ConverterFlags -> Bool Source #
Ord ConverterFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: ConverterFlags -> ConverterFlags -> Ordering Source #

(<) :: ConverterFlags -> ConverterFlags -> Bool Source #

(<=) :: ConverterFlags -> ConverterFlags -> Bool Source #

(>) :: ConverterFlags -> ConverterFlags -> Bool Source #

(>=) :: ConverterFlags -> ConverterFlags -> Bool Source #

max :: ConverterFlags -> ConverterFlags -> ConverterFlags Source #

min :: ConverterFlags -> ConverterFlags -> ConverterFlags Source #

Show ConverterFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> ConverterFlags -> ShowS Source # show :: ConverterFlags -> String Source # showList :: [ConverterFlags] -> ShowS Source #
IsGFlag ConverterFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags ConverterFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy ConverterFlags -> IO GType Source #

## DBusCallFlags

data DBusCallFlags Source #

Flags used in `dBusConnectionCall` and similar APIs.

Since: 2.26

Constructors

DBusCallFlagsNone | No flags set.
DBusCallFlagsNoAutoStart | The bus must not launch an owner for the destination name in response to this method invocation.
DBusCallFlagsAllowInteractiveAuthorization | the caller is prepared to wait for interactive authorization. Since 2.46.
AnotherDBusCallFlags Int | Catch-all for unknown values

Instances

Enum DBusCallFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: DBusCallFlags -> DBusCallFlags Source #

pred :: DBusCallFlags -> DBusCallFlags Source #

toEnum :: Int -> DBusCallFlags Source #

fromEnum :: DBusCallFlags -> Int Source #

enumFrom :: DBusCallFlags -> [DBusCallFlags] Source #

enumFromThen :: DBusCallFlags -> DBusCallFlags -> [DBusCallFlags] Source #

enumFromTo :: DBusCallFlags -> DBusCallFlags -> [DBusCallFlags] Source #

enumFromThenTo :: DBusCallFlags -> DBusCallFlags -> DBusCallFlags -> [DBusCallFlags] Source #

Eq DBusCallFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: DBusCallFlags -> DBusCallFlags -> Bool Source # (/=) :: DBusCallFlags -> DBusCallFlags -> Bool Source #
Ord DBusCallFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: DBusCallFlags -> DBusCallFlags -> Ordering Source #

(<) :: DBusCallFlags -> DBusCallFlags -> Bool Source #

(<=) :: DBusCallFlags -> DBusCallFlags -> Bool Source #

(>) :: DBusCallFlags -> DBusCallFlags -> Bool Source #

(>=) :: DBusCallFlags -> DBusCallFlags -> Bool Source #

max :: DBusCallFlags -> DBusCallFlags -> DBusCallFlags Source #

min :: DBusCallFlags -> DBusCallFlags -> DBusCallFlags Source #

Show DBusCallFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> DBusCallFlags -> ShowS Source # show :: DBusCallFlags -> String Source # showList :: [DBusCallFlags] -> ShowS Source #
IsGFlag DBusCallFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags DBusCallFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy DBusCallFlags -> IO GType Source #

## DBusCapabilityFlags

data DBusCapabilityFlags Source #

Capabilities negotiated with the remote peer.

Since: 2.26

Constructors

DBusCapabilityFlagsNone | No flags set.
DBusCapabilityFlagsUnixFdPassing | The connection supports exchanging UNIX file descriptors with the remote peer.
AnotherDBusCapabilityFlags Int | Catch-all for unknown values

Instances

Enum DBusCapabilityFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: DBusCapabilityFlags -> DBusCapabilityFlags Source #

pred :: DBusCapabilityFlags -> DBusCapabilityFlags Source #

toEnum :: Int -> DBusCapabilityFlags Source #

fromEnum :: DBusCapabilityFlags -> Int Source #

enumFrom :: DBusCapabilityFlags -> [DBusCapabilityFlags] Source #

enumFromThen :: DBusCapabilityFlags -> DBusCapabilityFlags -> [DBusCapabilityFlags] Source #

enumFromTo :: DBusCapabilityFlags -> DBusCapabilityFlags -> [DBusCapabilityFlags] Source #

enumFromThenTo :: DBusCapabilityFlags -> DBusCapabilityFlags -> DBusCapabilityFlags -> [DBusCapabilityFlags] Source #

Eq DBusCapabilityFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: DBusCapabilityFlags -> DBusCapabilityFlags -> Bool Source # (/=) :: DBusCapabilityFlags -> DBusCapabilityFlags -> Bool Source #
Ord DBusCapabilityFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: DBusCapabilityFlags -> DBusCapabilityFlags -> Ordering Source #

(<) :: DBusCapabilityFlags -> DBusCapabilityFlags -> Bool Source #

(<=) :: DBusCapabilityFlags -> DBusCapabilityFlags -> Bool Source #

(>) :: DBusCapabilityFlags -> DBusCapabilityFlags -> Bool Source #

(>=) :: DBusCapabilityFlags -> DBusCapabilityFlags -> Bool Source #

max :: DBusCapabilityFlags -> DBusCapabilityFlags -> DBusCapabilityFlags Source #

min :: DBusCapabilityFlags -> DBusCapabilityFlags -> DBusCapabilityFlags Source #

Show DBusCapabilityFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> DBusCapabilityFlags -> ShowS Source # show :: DBusCapabilityFlags -> String Source # showList :: [DBusCapabilityFlags] -> ShowS Source #
IsGFlag DBusCapabilityFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags DBusCapabilityFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy DBusCapabilityFlags -> IO GType Source #

## DBusConnectionFlags

data DBusConnectionFlags Source #

Flags used when creating a new `DBusConnection`.

Since: 2.26

Constructors

DBusConnectionFlagsNone | No flags set.
DBusConnectionFlagsAuthenticationClient | Perform authentication against server.
DBusConnectionFlagsAuthenticationServer | Perform authentication against client.
DBusConnectionFlagsAuthenticationAllowAnonymous | When authenticating as a server, allow the anonymous authentication method.
DBusConnectionFlagsMessageBusConnection | Pass this flag if connecting to a peer that is a message bus. This means that the `Hello()` method will be invoked as part of the connection setup.
DBusConnectionFlagsDelayMessageProcessing | If set, processing of D-Bus messages is delayed until `dBusConnectionStartMessageProcessing` is called.
AnotherDBusConnectionFlags Int | Catch-all for unknown values

Instances

Enum DBusConnectionFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: DBusConnectionFlags -> DBusConnectionFlags Source #

pred :: DBusConnectionFlags -> DBusConnectionFlags Source #

toEnum :: Int -> DBusConnectionFlags Source #

fromEnum :: DBusConnectionFlags -> Int Source #

enumFrom :: DBusConnectionFlags -> [DBusConnectionFlags] Source #

enumFromThen :: DBusConnectionFlags -> DBusConnectionFlags -> [DBusConnectionFlags] Source #

enumFromTo :: DBusConnectionFlags -> DBusConnectionFlags -> [DBusConnectionFlags] Source #

enumFromThenTo :: DBusConnectionFlags -> DBusConnectionFlags -> DBusConnectionFlags -> [DBusConnectionFlags] Source #

Eq DBusConnectionFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: DBusConnectionFlags -> DBusConnectionFlags -> Bool Source # (/=) :: DBusConnectionFlags -> DBusConnectionFlags -> Bool Source #
Ord DBusConnectionFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: DBusConnectionFlags -> DBusConnectionFlags -> Ordering Source #

(<) :: DBusConnectionFlags -> DBusConnectionFlags -> Bool Source #

(<=) :: DBusConnectionFlags -> DBusConnectionFlags -> Bool Source #

(>) :: DBusConnectionFlags -> DBusConnectionFlags -> Bool Source #

(>=) :: DBusConnectionFlags -> DBusConnectionFlags -> Bool Source #

max :: DBusConnectionFlags -> DBusConnectionFlags -> DBusConnectionFlags Source #

min :: DBusConnectionFlags -> DBusConnectionFlags -> DBusConnectionFlags Source #

Show DBusConnectionFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> DBusConnectionFlags -> ShowS Source # show :: DBusConnectionFlags -> String Source # showList :: [DBusConnectionFlags] -> ShowS Source #
IsGFlag DBusConnectionFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags DBusConnectionFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy DBusConnectionFlags -> IO GType Source #

## DBusInterfaceSkeletonFlags

data DBusInterfaceSkeletonFlags Source #

Flags describing the behavior of a `DBusInterfaceSkeleton` instance.

Since: 2.30

Constructors

DBusInterfaceSkeletonFlagsNone | No flags set.
DBusInterfaceSkeletonFlagsHandleMethodInvocationsInThread | Each method invocation is handled in a thread dedicated to the invocation. This means that the method implementation can use blocking IO without blocking any other part of the process. It also means that the method implementation must use locking to access data structures used by other threads.
AnotherDBusInterfaceSkeletonFlags Int | Catch-all for unknown values

Instances

Enum DBusInterfaceSkeletonFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags Source #

pred :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags Source #

toEnum :: Int -> DBusInterfaceSkeletonFlags Source #

fromEnum :: DBusInterfaceSkeletonFlags -> Int Source #

enumFrom :: DBusInterfaceSkeletonFlags -> [DBusInterfaceSkeletonFlags] Source #

enumFromThen :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags -> [DBusInterfaceSkeletonFlags] Source #

enumFromTo :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags -> [DBusInterfaceSkeletonFlags] Source #

enumFromThenTo :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags -> [DBusInterfaceSkeletonFlags] Source #

Eq DBusInterfaceSkeletonFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags -> Bool Source # (/=) :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags -> Bool Source #
Ord DBusInterfaceSkeletonFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags -> Ordering Source #

(<) :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags -> Bool Source #

(<=) :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags -> Bool Source #

(>) :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags -> Bool Source #

(>=) :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags -> Bool Source #

max :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags Source #

min :: DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags -> DBusInterfaceSkeletonFlags Source #

Show DBusInterfaceSkeletonFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> DBusInterfaceSkeletonFlags -> ShowS Source # show :: DBusInterfaceSkeletonFlags -> String Source # showList :: [DBusInterfaceSkeletonFlags] -> ShowS Source #
IsGFlag DBusInterfaceSkeletonFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags DBusInterfaceSkeletonFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy DBusInterfaceSkeletonFlags -> IO GType Source #

## DBusMessageFlags

data DBusMessageFlags Source #

Message flags used in `DBusMessage`.

Since: 2.26

Constructors

DBusMessageFlagsNone | No flags set.
DBusMessageFlagsNoReplyExpected | A reply is not expected.
DBusMessageFlagsNoAutoStart | The bus must not launch an owner for the destination name in response to this message.
DBusMessageFlagsAllowInteractiveAuthorization | If set on a method call, this flag means that the caller is prepared to wait for interactive authorization. Since 2.46.
AnotherDBusMessageFlags Int | Catch-all for unknown values

Instances

Enum DBusMessageFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: DBusMessageFlags -> DBusMessageFlags Source #

pred :: DBusMessageFlags -> DBusMessageFlags Source #

toEnum :: Int -> DBusMessageFlags Source #

fromEnum :: DBusMessageFlags -> Int Source #

enumFrom :: DBusMessageFlags -> [DBusMessageFlags] Source #

enumFromThen :: DBusMessageFlags -> DBusMessageFlags -> [DBusMessageFlags] Source #

enumFromTo :: DBusMessageFlags -> DBusMessageFlags -> [DBusMessageFlags] Source #

enumFromThenTo :: DBusMessageFlags -> DBusMessageFlags -> DBusMessageFlags -> [DBusMessageFlags] Source #

Eq DBusMessageFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: DBusMessageFlags -> DBusMessageFlags -> Bool Source # (/=) :: DBusMessageFlags -> DBusMessageFlags -> Bool Source #
Ord DBusMessageFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: DBusMessageFlags -> DBusMessageFlags -> Ordering Source #

(<) :: DBusMessageFlags -> DBusMessageFlags -> Bool Source #

(<=) :: DBusMessageFlags -> DBusMessageFlags -> Bool Source #

(>) :: DBusMessageFlags -> DBusMessageFlags -> Bool Source #

(>=) :: DBusMessageFlags -> DBusMessageFlags -> Bool Source #

max :: DBusMessageFlags -> DBusMessageFlags -> DBusMessageFlags Source #

min :: DBusMessageFlags -> DBusMessageFlags -> DBusMessageFlags Source #

Show DBusMessageFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> DBusMessageFlags -> ShowS Source # show :: DBusMessageFlags -> String Source # showList :: [DBusMessageFlags] -> ShowS Source #
IsGFlag DBusMessageFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags DBusMessageFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy DBusMessageFlags -> IO GType Source #

## DBusObjectManagerClientFlags

data DBusObjectManagerClientFlags Source #

Flags used when constructing a `DBusObjectManagerClient`.

Since: 2.30

Constructors

DBusObjectManagerClientFlagsNone | No flags set.
DBusObjectManagerClientFlagsDoNotAutoStart | If not set and the manager is for a well-known name, then request the bus to launch an owner for the name if no-one owns the name. This flag can only be used in managers for well-known names.
AnotherDBusObjectManagerClientFlags Int | Catch-all for unknown values

Instances

Enum DBusObjectManagerClientFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags Source #

pred :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags Source #

toEnum :: Int -> DBusObjectManagerClientFlags Source #

fromEnum :: DBusObjectManagerClientFlags -> Int Source #

enumFrom :: DBusObjectManagerClientFlags -> [DBusObjectManagerClientFlags] Source #

enumFromThen :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags -> [DBusObjectManagerClientFlags] Source #

enumFromTo :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags -> [DBusObjectManagerClientFlags] Source #

enumFromThenTo :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags -> [DBusObjectManagerClientFlags] Source #

Eq DBusObjectManagerClientFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags -> Bool Source # (/=) :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags -> Bool Source #
Ord DBusObjectManagerClientFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags -> Ordering Source #

(<) :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags -> Bool Source #

(<=) :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags -> Bool Source #

(>) :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags -> Bool Source #

(>=) :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags -> Bool Source #

max :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags Source #

min :: DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags -> DBusObjectManagerClientFlags Source #

Show DBusObjectManagerClientFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> DBusObjectManagerClientFlags -> ShowS Source # show :: DBusObjectManagerClientFlags -> String Source # showList :: [DBusObjectManagerClientFlags] -> ShowS Source #
IsGFlag DBusObjectManagerClientFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags DBusObjectManagerClientFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy DBusObjectManagerClientFlags -> IO GType Source #

## DBusPropertyInfoFlags

data DBusPropertyInfoFlags Source #

Flags describing the access control of a D-Bus property.

Since: 2.26

Constructors

DBusPropertyInfoFlagsNone | No flags set.
DBusPropertyInfoFlagsReadable | Property is readable.
DBusPropertyInfoFlagsWritable | Property is writable.
AnotherDBusPropertyInfoFlags Int | Catch-all for unknown values

Instances

Enum DBusPropertyInfoFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags Source #

pred :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags Source #

toEnum :: Int -> DBusPropertyInfoFlags Source #

fromEnum :: DBusPropertyInfoFlags -> Int Source #

enumFrom :: DBusPropertyInfoFlags -> [DBusPropertyInfoFlags] Source #

enumFromThen :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags -> [DBusPropertyInfoFlags] Source #

enumFromTo :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags -> [DBusPropertyInfoFlags] Source #

enumFromThenTo :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags -> DBusPropertyInfoFlags -> [DBusPropertyInfoFlags] Source #

Eq DBusPropertyInfoFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags -> Bool Source # (/=) :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags -> Bool Source #
Ord DBusPropertyInfoFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags -> Ordering Source #

(<) :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags -> Bool Source #

(<=) :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags -> Bool Source #

(>) :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags -> Bool Source #

(>=) :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags -> Bool Source #

max :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags -> DBusPropertyInfoFlags Source #

min :: DBusPropertyInfoFlags -> DBusPropertyInfoFlags -> DBusPropertyInfoFlags Source #

Show DBusPropertyInfoFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> DBusPropertyInfoFlags -> ShowS Source # show :: DBusPropertyInfoFlags -> String Source # showList :: [DBusPropertyInfoFlags] -> ShowS Source #
IsGFlag DBusPropertyInfoFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags DBusPropertyInfoFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy DBusPropertyInfoFlags -> IO GType Source #

## DBusProxyFlags

data DBusProxyFlags Source #

Flags used when constructing an instance of a `DBusProxy` derived class.

Since: 2.26

Constructors

DBusProxyFlagsNone | No flags set.
DBusProxyFlagsDoNotLoadProperties | Don't load properties.
DBusProxyFlagsDoNotConnectSignals | Don't connect to signals on the remote object.
DBusProxyFlagsDoNotAutoStart | If the proxy is for a well-known name, do not ask the bus to launch an owner during proxy initialization or a method call. This flag is only meaningful in proxies for well-known names.

DBusProxyFlagsGetInvalidatedProperties

If set, the property value for any invalidated property will be (asynchronously) retrieved upon receiving the `PropertiesChanged` D-Bus signal and the property will not cause emission of the `DBusProxy`::`g-properties-changed` signal. When the value is received the `DBusProxy`::`g-properties-changed` signal is emitted for the property along with the retrieved value. Since 2.32.

DBusProxyFlagsDoNotAutoStartAtConstruction | If the proxy is for a well-known name, do not ask the bus to launch an owner during proxy initialization, but allow it to be autostarted by a method call. This flag is only meaningful in proxies for well-known names, and only if `DBusProxyFlagsDoNotAutoStart` is not also specified.
AnotherDBusProxyFlags Int | Catch-all for unknown values

Instances

Enum DBusProxyFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: DBusProxyFlags -> DBusProxyFlags Source #

pred :: DBusProxyFlags -> DBusProxyFlags Source #

toEnum :: Int -> DBusProxyFlags Source #

fromEnum :: DBusProxyFlags -> Int Source #

enumFrom :: DBusProxyFlags -> [DBusProxyFlags] Source #

enumFromThen :: DBusProxyFlags -> DBusProxyFlags -> [DBusProxyFlags] Source #

enumFromTo :: DBusProxyFlags -> DBusProxyFlags -> [DBusProxyFlags] Source #

enumFromThenTo :: DBusProxyFlags -> DBusProxyFlags -> DBusProxyFlags -> [DBusProxyFlags] Source #

Eq DBusProxyFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: DBusProxyFlags -> DBusProxyFlags -> Bool Source # (/=) :: DBusProxyFlags -> DBusProxyFlags -> Bool Source #
Ord DBusProxyFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: DBusProxyFlags -> DBusProxyFlags -> Ordering Source #

(<) :: DBusProxyFlags -> DBusProxyFlags -> Bool Source #

(<=) :: DBusProxyFlags -> DBusProxyFlags -> Bool Source #

(>) :: DBusProxyFlags -> DBusProxyFlags -> Bool Source #

(>=) :: DBusProxyFlags -> DBusProxyFlags -> Bool Source #

max :: DBusProxyFlags -> DBusProxyFlags -> DBusProxyFlags Source #

min :: DBusProxyFlags -> DBusProxyFlags -> DBusProxyFlags Source #

Show DBusProxyFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> DBusProxyFlags -> ShowS Source # show :: DBusProxyFlags -> String Source # showList :: [DBusProxyFlags] -> ShowS Source #
IsGFlag DBusProxyFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags DBusProxyFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy DBusProxyFlags -> IO GType Source #

## DBusSendMessageFlags

data DBusSendMessageFlags Source #

Flags used when sending `GDBusMessages` on a `DBusConnection`.

Since: 2.26

Constructors

DBusSendMessageFlagsNone | No flags set.
DBusSendMessageFlagsPreserveSerial | Do not automatically assign a serial number from the `DBusConnection` object when sending a message.
AnotherDBusSendMessageFlags Int | Catch-all for unknown values

Instances

Enum DBusSendMessageFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: DBusSendMessageFlags -> DBusSendMessageFlags Source #

pred :: DBusSendMessageFlags -> DBusSendMessageFlags Source #

toEnum :: Int -> DBusSendMessageFlags Source #

fromEnum :: DBusSendMessageFlags -> Int Source #

enumFrom :: DBusSendMessageFlags -> [DBusSendMessageFlags] Source #

enumFromThen :: DBusSendMessageFlags -> DBusSendMessageFlags -> [DBusSendMessageFlags] Source #

enumFromTo :: DBusSendMessageFlags -> DBusSendMessageFlags -> [DBusSendMessageFlags] Source #

enumFromThenTo :: DBusSendMessageFlags -> DBusSendMessageFlags -> DBusSendMessageFlags -> [DBusSendMessageFlags] Source #

Eq DBusSendMessageFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: DBusSendMessageFlags -> DBusSendMessageFlags -> Bool Source # (/=) :: DBusSendMessageFlags -> DBusSendMessageFlags -> Bool Source #
Ord DBusSendMessageFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: DBusSendMessageFlags -> DBusSendMessageFlags -> Ordering Source #

(<) :: DBusSendMessageFlags -> DBusSendMessageFlags -> Bool Source #

(<=) :: DBusSendMessageFlags -> DBusSendMessageFlags -> Bool Source #

(>) :: DBusSendMessageFlags -> DBusSendMessageFlags -> Bool Source #

(>=) :: DBusSendMessageFlags -> DBusSendMessageFlags -> Bool Source #

max :: DBusSendMessageFlags -> DBusSendMessageFlags -> DBusSendMessageFlags Source #

min :: DBusSendMessageFlags -> DBusSendMessageFlags -> DBusSendMessageFlags Source #

Show DBusSendMessageFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> DBusSendMessageFlags -> ShowS Source # show :: DBusSendMessageFlags -> String Source # showList :: [DBusSendMessageFlags] -> ShowS Source #
IsGFlag DBusSendMessageFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags DBusSendMessageFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy DBusSendMessageFlags -> IO GType Source #

## DBusServerFlags

data DBusServerFlags Source #

Flags used when creating a `DBusServer`.

Since: 2.26

Constructors

DBusServerFlagsNone | No flags set.
DBusServerFlagsRunInThread | All `DBusServer`::`new-connection` signals will run in separated dedicated threads (see signal for details).
DBusServerFlagsAuthenticationAllowAnonymous | Allow the anonymous authentication method.
AnotherDBusServerFlags Int | Catch-all for unknown values

Instances

Enum DBusServerFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: DBusServerFlags -> DBusServerFlags Source #

pred :: DBusServerFlags -> DBusServerFlags Source #

toEnum :: Int -> DBusServerFlags Source #

fromEnum :: DBusServerFlags -> Int Source #

enumFrom :: DBusServerFlags -> [DBusServerFlags] Source #

enumFromThen :: DBusServerFlags -> DBusServerFlags -> [DBusServerFlags] Source #

enumFromTo :: DBusServerFlags -> DBusServerFlags -> [DBusServerFlags] Source #

enumFromThenTo :: DBusServerFlags -> DBusServerFlags -> DBusServerFlags -> [DBusServerFlags] Source #

Eq DBusServerFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: DBusServerFlags -> DBusServerFlags -> Bool Source # (/=) :: DBusServerFlags -> DBusServerFlags -> Bool Source #
Ord DBusServerFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: DBusServerFlags -> DBusServerFlags -> Ordering Source #

(<) :: DBusServerFlags -> DBusServerFlags -> Bool Source #

(<=) :: DBusServerFlags -> DBusServerFlags -> Bool Source #

(>) :: DBusServerFlags -> DBusServerFlags -> Bool Source #

(>=) :: DBusServerFlags -> DBusServerFlags -> Bool Source #

max :: DBusServerFlags -> DBusServerFlags -> DBusServerFlags Source #

min :: DBusServerFlags -> DBusServerFlags -> DBusServerFlags Source #

Show DBusServerFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> DBusServerFlags -> ShowS Source # show :: DBusServerFlags -> String Source # showList :: [DBusServerFlags] -> ShowS Source #
IsGFlag DBusServerFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags DBusServerFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy DBusServerFlags -> IO GType Source #

## DBusSignalFlags

data DBusSignalFlags Source #

Flags used when subscribing to signals via `dBusConnectionSignalSubscribe`.

Since: 2.26

Constructors

DBusSignalFlagsNone | No flags set.
DBusSignalFlagsNoMatchRule | Don't actually send the AddMatch D-Bus call for this signal subscription. This gives you more control over which match rules you add (but you must add them manually).
DBusSignalFlagsMatchArg0Namespace | Match first arguments that contain a bus or interface name with the given namespace.
DBusSignalFlagsMatchArg0Path | Match first arguments that contain an object path that is either equivalent to the given path, or one of the paths is a subpath of the other.
AnotherDBusSignalFlags Int | Catch-all for unknown values

Instances

Enum DBusSignalFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: DBusSignalFlags -> DBusSignalFlags Source #

pred :: DBusSignalFlags -> DBusSignalFlags Source #

toEnum :: Int -> DBusSignalFlags Source #

fromEnum :: DBusSignalFlags -> Int Source #

enumFrom :: DBusSignalFlags -> [DBusSignalFlags] Source #

enumFromThen :: DBusSignalFlags -> DBusSignalFlags -> [DBusSignalFlags] Source #

enumFromTo :: DBusSignalFlags -> DBusSignalFlags -> [DBusSignalFlags] Source #

enumFromThenTo :: DBusSignalFlags -> DBusSignalFlags -> DBusSignalFlags -> [DBusSignalFlags] Source #

Eq DBusSignalFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: DBusSignalFlags -> DBusSignalFlags -> Bool Source # (/=) :: DBusSignalFlags -> DBusSignalFlags -> Bool Source #
Ord DBusSignalFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: DBusSignalFlags -> DBusSignalFlags -> Ordering Source #

(<) :: DBusSignalFlags -> DBusSignalFlags -> Bool Source #

(<=) :: DBusSignalFlags -> DBusSignalFlags -> Bool Source #

(>) :: DBusSignalFlags -> DBusSignalFlags -> Bool Source #

(>=) :: DBusSignalFlags -> DBusSignalFlags -> Bool Source #

max :: DBusSignalFlags -> DBusSignalFlags -> DBusSignalFlags Source #

min :: DBusSignalFlags -> DBusSignalFlags -> DBusSignalFlags Source #

Show DBusSignalFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> DBusSignalFlags -> ShowS Source # show :: DBusSignalFlags -> String Source # showList :: [DBusSignalFlags] -> ShowS Source #
IsGFlag DBusSignalFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags DBusSignalFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy DBusSignalFlags -> IO GType Source #

## DBusSubtreeFlags

data DBusSubtreeFlags Source #

Flags passed to `dBusConnectionRegisterSubtree`.

Since: 2.26

Constructors

DBusSubtreeFlagsNone | No flags set.
DBusSubtreeFlagsDispatchToUnenumeratedNodes | Method calls to objects not in the enumerated range will still be dispatched. This is useful if you want to dynamically spawn objects in the subtree.
AnotherDBusSubtreeFlags Int | Catch-all for unknown values

Instances

Enum DBusSubtreeFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: DBusSubtreeFlags -> DBusSubtreeFlags Source #

pred :: DBusSubtreeFlags -> DBusSubtreeFlags Source #

toEnum :: Int -> DBusSubtreeFlags Source #

fromEnum :: DBusSubtreeFlags -> Int Source #

enumFrom :: DBusSubtreeFlags -> [DBusSubtreeFlags] Source #

enumFromThen :: DBusSubtreeFlags -> DBusSubtreeFlags -> [DBusSubtreeFlags] Source #

enumFromTo :: DBusSubtreeFlags -> DBusSubtreeFlags -> [DBusSubtreeFlags] Source #

enumFromThenTo :: DBusSubtreeFlags -> DBusSubtreeFlags -> DBusSubtreeFlags -> [DBusSubtreeFlags] Source #

Eq DBusSubtreeFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: DBusSubtreeFlags -> DBusSubtreeFlags -> Bool Source # (/=) :: DBusSubtreeFlags -> DBusSubtreeFlags -> Bool Source #
Ord DBusSubtreeFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: DBusSubtreeFlags -> DBusSubtreeFlags -> Ordering Source #

(<) :: DBusSubtreeFlags -> DBusSubtreeFlags -> Bool Source #

(<=) :: DBusSubtreeFlags -> DBusSubtreeFlags -> Bool Source #

(>) :: DBusSubtreeFlags -> DBusSubtreeFlags -> Bool Source #

(>=) :: DBusSubtreeFlags -> DBusSubtreeFlags -> Bool Source #

max :: DBusSubtreeFlags -> DBusSubtreeFlags -> DBusSubtreeFlags Source #

min :: DBusSubtreeFlags -> DBusSubtreeFlags -> DBusSubtreeFlags Source #

Show DBusSubtreeFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> DBusSubtreeFlags -> ShowS Source # show :: DBusSubtreeFlags -> String Source # showList :: [DBusSubtreeFlags] -> ShowS Source #
IsGFlag DBusSubtreeFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags DBusSubtreeFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy DBusSubtreeFlags -> IO GType Source #

## DriveStartFlags

data DriveStartFlags Source #

Flags used when starting a drive.

Since: 2.22

Constructors

DriveStartFlagsNone | No flags set.
AnotherDriveStartFlags Int | Catch-all for unknown values

Instances

Enum DriveStartFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: DriveStartFlags -> DriveStartFlags Source #

pred :: DriveStartFlags -> DriveStartFlags Source #

toEnum :: Int -> DriveStartFlags Source #

fromEnum :: DriveStartFlags -> Int Source #

enumFrom :: DriveStartFlags -> [DriveStartFlags] Source #

enumFromThen :: DriveStartFlags -> DriveStartFlags -> [DriveStartFlags] Source #

enumFromTo :: DriveStartFlags -> DriveStartFlags -> [DriveStartFlags] Source #

enumFromThenTo :: DriveStartFlags -> DriveStartFlags -> DriveStartFlags -> [DriveStartFlags] Source #

Eq DriveStartFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: DriveStartFlags -> DriveStartFlags -> Bool Source # (/=) :: DriveStartFlags -> DriveStartFlags -> Bool Source #
Ord DriveStartFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: DriveStartFlags -> DriveStartFlags -> Ordering Source #

(<) :: DriveStartFlags -> DriveStartFlags -> Bool Source #

(<=) :: DriveStartFlags -> DriveStartFlags -> Bool Source #

(>) :: DriveStartFlags -> DriveStartFlags -> Bool Source #

(>=) :: DriveStartFlags -> DriveStartFlags -> Bool Source #

max :: DriveStartFlags -> DriveStartFlags -> DriveStartFlags Source #

min :: DriveStartFlags -> DriveStartFlags -> DriveStartFlags Source #

Show DriveStartFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> DriveStartFlags -> ShowS Source # show :: DriveStartFlags -> String Source # showList :: [DriveStartFlags] -> ShowS Source #
IsGFlag DriveStartFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags DriveStartFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy DriveStartFlags -> IO GType Source #

## FileAttributeInfoFlags

data FileAttributeInfoFlags Source #

Flags specifying the behaviour of an attribute.

Constructors

FileAttributeInfoFlagsNone | no flags set.
FileAttributeInfoFlagsCopyWithFile | copy the attribute values when the file is copied.
FileAttributeInfoFlagsCopyWhenMoved | copy the attribute values when the file is moved.
AnotherFileAttributeInfoFlags Int | Catch-all for unknown values

Instances

Enum FileAttributeInfoFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: FileAttributeInfoFlags -> FileAttributeInfoFlags Source #

pred :: FileAttributeInfoFlags -> FileAttributeInfoFlags Source #

toEnum :: Int -> FileAttributeInfoFlags Source #

fromEnum :: FileAttributeInfoFlags -> Int Source #

enumFrom :: FileAttributeInfoFlags -> [FileAttributeInfoFlags] Source #

enumFromThen :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> [FileAttributeInfoFlags] Source #

enumFromTo :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> [FileAttributeInfoFlags] Source #

enumFromThenTo :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> FileAttributeInfoFlags -> [FileAttributeInfoFlags] Source #

Eq FileAttributeInfoFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Bool Source # (/=) :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Bool Source #
Ord FileAttributeInfoFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Ordering Source #

(<) :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Bool Source #

(<=) :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Bool Source #

(>) :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Bool Source #

(>=) :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> Bool Source #

max :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> FileAttributeInfoFlags Source #

min :: FileAttributeInfoFlags -> FileAttributeInfoFlags -> FileAttributeInfoFlags Source #

Show FileAttributeInfoFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> FileAttributeInfoFlags -> ShowS Source # show :: FileAttributeInfoFlags -> String Source # showList :: [FileAttributeInfoFlags] -> ShowS Source #
IsGFlag FileAttributeInfoFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags FileAttributeInfoFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy FileAttributeInfoFlags -> IO GType Source #

## FileCopyFlags

data FileCopyFlags Source #

Flags used when copying or moving files.

Constructors

FileCopyFlagsNone | No flags set.
FileCopyFlagsOverwrite | Overwrite any existing files
FileCopyFlagsBackup | Make a backup of any existing files.
FileCopyFlagsNofollowSymlinks | Don't follow symlinks.
FileCopyFlagsAllMetadata | Copy all file metadata instead of just default set used for copy (see `FileInfo`).
FileCopyFlagsNoFallbackForMove | Don't use copy and delete fallback if native move not supported.
FileCopyFlagsTargetDefaultPerms | Leaves target file with default perms, instead of setting the source file perms.
AnotherFileCopyFlags Int | Catch-all for unknown values

Instances

Enum FileCopyFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: FileCopyFlags -> FileCopyFlags Source #

pred :: FileCopyFlags -> FileCopyFlags Source #

toEnum :: Int -> FileCopyFlags Source #

fromEnum :: FileCopyFlags -> Int Source #

enumFrom :: FileCopyFlags -> [FileCopyFlags] Source #

enumFromThen :: FileCopyFlags -> FileCopyFlags -> [FileCopyFlags] Source #

enumFromTo :: FileCopyFlags -> FileCopyFlags -> [FileCopyFlags] Source #

enumFromThenTo :: FileCopyFlags -> FileCopyFlags -> FileCopyFlags -> [FileCopyFlags] Source #

Eq FileCopyFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: FileCopyFlags -> FileCopyFlags -> Bool Source # (/=) :: FileCopyFlags -> FileCopyFlags -> Bool Source #
Ord FileCopyFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: FileCopyFlags -> FileCopyFlags -> Ordering Source #

(<) :: FileCopyFlags -> FileCopyFlags -> Bool Source #

(<=) :: FileCopyFlags -> FileCopyFlags -> Bool Source #

(>) :: FileCopyFlags -> FileCopyFlags -> Bool Source #

(>=) :: FileCopyFlags -> FileCopyFlags -> Bool Source #

max :: FileCopyFlags -> FileCopyFlags -> FileCopyFlags Source #

min :: FileCopyFlags -> FileCopyFlags -> FileCopyFlags Source #

Show FileCopyFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> FileCopyFlags -> ShowS Source # show :: FileCopyFlags -> String Source # showList :: [FileCopyFlags] -> ShowS Source #
IsGFlag FileCopyFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags FileCopyFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy FileCopyFlags -> IO GType Source #

## FileCreateFlags

data FileCreateFlags Source #

Flags used when an operation may create a file.

Constructors

FileCreateFlagsNone | No flags set.
FileCreateFlagsPrivate | Create a file that can only be accessed by the current user.

FileCreateFlagsReplaceDestination

Replace the destination as if it didn't exist before. Don't try to keep any old permissions, replace instead of following links. This is generally useful if you're doing a "copy over" rather than a "save new version of" replace operation. You can think of it as "unlink destination" before writing to it, although the implementation may not be exactly like that. Since 2.20

AnotherFileCreateFlags Int | Catch-all for unknown values

Instances

Enum FileCreateFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: FileCreateFlags -> FileCreateFlags Source #

pred :: FileCreateFlags -> FileCreateFlags Source #

toEnum :: Int -> FileCreateFlags Source #

fromEnum :: FileCreateFlags -> Int Source #

enumFrom :: FileCreateFlags -> [FileCreateFlags] Source #

enumFromThen :: FileCreateFlags -> FileCreateFlags -> [FileCreateFlags] Source #

enumFromTo :: FileCreateFlags -> FileCreateFlags -> [FileCreateFlags] Source #

enumFromThenTo :: FileCreateFlags -> FileCreateFlags -> FileCreateFlags -> [FileCreateFlags] Source #

Eq FileCreateFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: FileCreateFlags -> FileCreateFlags -> Bool Source # (/=) :: FileCreateFlags -> FileCreateFlags -> Bool Source #
Ord FileCreateFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: FileCreateFlags -> FileCreateFlags -> Ordering Source #

(<) :: FileCreateFlags -> FileCreateFlags -> Bool Source #

(<=) :: FileCreateFlags -> FileCreateFlags -> Bool Source #

(>) :: FileCreateFlags -> FileCreateFlags -> Bool Source #

(>=) :: FileCreateFlags -> FileCreateFlags -> Bool Source #

max :: FileCreateFlags -> FileCreateFlags -> FileCreateFlags Source #

min :: FileCreateFlags -> FileCreateFlags -> FileCreateFlags Source #

Show FileCreateFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> FileCreateFlags -> ShowS Source # show :: FileCreateFlags -> String Source # showList :: [FileCreateFlags] -> ShowS Source #
IsGFlag FileCreateFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags FileCreateFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy FileCreateFlags -> IO GType Source #

## FileMeasureFlags

data FileMeasureFlags Source #

Flags that can be used with `g_file_measure_disk_usage()`.

Since: 2.38

Constructors

FileMeasureFlagsNone | No flags set.
FileMeasureFlagsReportAnyError | Report any error encountered while traversing the directory tree. Normally errors are only reported for the toplevel file.
FileMeasureFlagsApparentSize | Tally usage based on apparent file sizes. Normally, the block-size is used, if available, as this is a more accurate representation of disk space used. Compare with `du --apparent-size`.
FileMeasureFlagsNoXdev | Do not cross mount point boundaries. Compare with `du -x`.
AnotherFileMeasureFlags Int | Catch-all for unknown values

Instances

Enum FileMeasureFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: FileMeasureFlags -> FileMeasureFlags Source #

pred :: FileMeasureFlags -> FileMeasureFlags Source #

toEnum :: Int -> FileMeasureFlags Source #

fromEnum :: FileMeasureFlags -> Int Source #

enumFrom :: FileMeasureFlags -> [FileMeasureFlags] Source #

enumFromThen :: FileMeasureFlags -> FileMeasureFlags -> [FileMeasureFlags] Source #

enumFromTo :: FileMeasureFlags -> FileMeasureFlags -> [FileMeasureFlags] Source #

enumFromThenTo :: FileMeasureFlags -> FileMeasureFlags -> FileMeasureFlags -> [FileMeasureFlags] Source #

Eq FileMeasureFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: FileMeasureFlags -> FileMeasureFlags -> Bool Source # (/=) :: FileMeasureFlags -> FileMeasureFlags -> Bool Source #
Ord FileMeasureFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: FileMeasureFlags -> FileMeasureFlags -> Ordering Source #

(<) :: FileMeasureFlags -> FileMeasureFlags -> Bool Source #

(<=) :: FileMeasureFlags -> FileMeasureFlags -> Bool Source #

(>) :: FileMeasureFlags -> FileMeasureFlags -> Bool Source #

(>=) :: FileMeasureFlags -> FileMeasureFlags -> Bool Source #

max :: FileMeasureFlags -> FileMeasureFlags -> FileMeasureFlags Source #

min :: FileMeasureFlags -> FileMeasureFlags -> FileMeasureFlags Source #

Show FileMeasureFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> FileMeasureFlags -> ShowS Source # show :: FileMeasureFlags -> String Source # showList :: [FileMeasureFlags] -> ShowS Source #
IsGFlag FileMeasureFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags FileMeasureFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy FileMeasureFlags -> IO GType Source #

## FileMonitorFlags

data FileMonitorFlags Source #

Flags used to set what a `FileMonitor` will watch for.

Constructors

FileMonitorFlagsNone | No flags set.
FileMonitorFlagsWatchMounts | Watch for mount events.
FileMonitorFlagsSendMoved | Pair DELETED and CREATED events caused by file renames (moves) and send a single G_FILE_MONITOR_EVENT_MOVED event instead (NB: not supported on all backends; the default behaviour -without specifying this flag- is to send single DELETED and CREATED events). Deprecated since 2.46: use `FileMonitorFlagsWatchMoves` instead.
FileMonitorFlagsWatchHardLinks | Watch for changes to the file made via another hard link. Since 2.36.
FileMonitorFlagsWatchMoves | Watch for rename operations on a monitored directory. This causes `FileMonitorEventRenamed`, `FileMonitorEventMovedIn` and `FileMonitorEventMovedOut` events to be emitted when possible. Since: 2.46.
AnotherFileMonitorFlags Int | Catch-all for unknown values

Instances

Enum FileMonitorFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: FileMonitorFlags -> FileMonitorFlags Source #

pred :: FileMonitorFlags -> FileMonitorFlags Source #

toEnum :: Int -> FileMonitorFlags Source #

fromEnum :: FileMonitorFlags -> Int Source #

enumFrom :: FileMonitorFlags -> [FileMonitorFlags] Source #

enumFromThen :: FileMonitorFlags -> FileMonitorFlags -> [FileMonitorFlags] Source #

enumFromTo :: FileMonitorFlags -> FileMonitorFlags -> [FileMonitorFlags] Source #

enumFromThenTo :: FileMonitorFlags -> FileMonitorFlags -> FileMonitorFlags -> [FileMonitorFlags] Source #

Eq FileMonitorFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: FileMonitorFlags -> FileMonitorFlags -> Bool Source # (/=) :: FileMonitorFlags -> FileMonitorFlags -> Bool Source #
Ord FileMonitorFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: FileMonitorFlags -> FileMonitorFlags -> Ordering Source #

(<) :: FileMonitorFlags -> FileMonitorFlags -> Bool Source #

(<=) :: FileMonitorFlags -> FileMonitorFlags -> Bool Source #

(>) :: FileMonitorFlags -> FileMonitorFlags -> Bool Source #

(>=) :: FileMonitorFlags -> FileMonitorFlags -> Bool Source #

max :: FileMonitorFlags -> FileMonitorFlags -> FileMonitorFlags Source #

min :: FileMonitorFlags -> FileMonitorFlags -> FileMonitorFlags Source #

Show FileMonitorFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> FileMonitorFlags -> ShowS Source # show :: FileMonitorFlags -> String Source # showList :: [FileMonitorFlags] -> ShowS Source #
IsGFlag FileMonitorFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags FileMonitorFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy FileMonitorFlags -> IO GType Source #

## FileQueryInfoFlags

data FileQueryInfoFlags Source #

Flags used when querying a `FileInfo`.

Constructors

FileQueryInfoFlagsNone | No flags set.
FileQueryInfoFlagsNofollowSymlinks | Don't follow symlinks.
AnotherFileQueryInfoFlags Int | Catch-all for unknown values

Instances

Enum FileQueryInfoFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: FileQueryInfoFlags -> FileQueryInfoFlags Source #

pred :: FileQueryInfoFlags -> FileQueryInfoFlags Source #

toEnum :: Int -> FileQueryInfoFlags Source #

fromEnum :: FileQueryInfoFlags -> Int Source #

enumFrom :: FileQueryInfoFlags -> [FileQueryInfoFlags] Source #

enumFromThen :: FileQueryInfoFlags -> FileQueryInfoFlags -> [FileQueryInfoFlags] Source #

enumFromTo :: FileQueryInfoFlags -> FileQueryInfoFlags -> [FileQueryInfoFlags] Source #

enumFromThenTo :: FileQueryInfoFlags -> FileQueryInfoFlags -> FileQueryInfoFlags -> [FileQueryInfoFlags] Source #

Eq FileQueryInfoFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: FileQueryInfoFlags -> FileQueryInfoFlags -> Bool Source # (/=) :: FileQueryInfoFlags -> FileQueryInfoFlags -> Bool Source #
Ord FileQueryInfoFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: FileQueryInfoFlags -> FileQueryInfoFlags -> Ordering Source #

(<) :: FileQueryInfoFlags -> FileQueryInfoFlags -> Bool Source #

(<=) :: FileQueryInfoFlags -> FileQueryInfoFlags -> Bool Source #

(>) :: FileQueryInfoFlags -> FileQueryInfoFlags -> Bool Source #

(>=) :: FileQueryInfoFlags -> FileQueryInfoFlags -> Bool Source #

max :: FileQueryInfoFlags -> FileQueryInfoFlags -> FileQueryInfoFlags Source #

min :: FileQueryInfoFlags -> FileQueryInfoFlags -> FileQueryInfoFlags Source #

Show FileQueryInfoFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> FileQueryInfoFlags -> ShowS Source # show :: FileQueryInfoFlags -> String Source # showList :: [FileQueryInfoFlags] -> ShowS Source #
IsGFlag FileQueryInfoFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags FileQueryInfoFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy FileQueryInfoFlags -> IO GType Source #

## IOStreamSpliceFlags

data IOStreamSpliceFlags Source #

GIOStreamSpliceFlags determine how streams should be spliced.

Since: 2.28

Constructors

IOStreamSpliceFlagsNone | Do not close either stream.
IOStreamSpliceFlagsCloseStream1 | Close the first stream after the splice.
IOStreamSpliceFlagsCloseStream2 | Close the second stream after the splice.
IOStreamSpliceFlagsWaitForBoth | Wait for both splice operations to finish before calling the callback.
AnotherIOStreamSpliceFlags Int | Catch-all for unknown values

Instances

Enum IOStreamSpliceFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: IOStreamSpliceFlags -> IOStreamSpliceFlags Source #

pred :: IOStreamSpliceFlags -> IOStreamSpliceFlags Source #

toEnum :: Int -> IOStreamSpliceFlags Source #

fromEnum :: IOStreamSpliceFlags -> Int Source #

enumFrom :: IOStreamSpliceFlags -> [IOStreamSpliceFlags] Source #

enumFromThen :: IOStreamSpliceFlags -> IOStreamSpliceFlags -> [IOStreamSpliceFlags] Source #

enumFromTo :: IOStreamSpliceFlags -> IOStreamSpliceFlags -> [IOStreamSpliceFlags] Source #

enumFromThenTo :: IOStreamSpliceFlags -> IOStreamSpliceFlags -> IOStreamSpliceFlags -> [IOStreamSpliceFlags] Source #

Eq IOStreamSpliceFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: IOStreamSpliceFlags -> IOStreamSpliceFlags -> Bool Source # (/=) :: IOStreamSpliceFlags -> IOStreamSpliceFlags -> Bool Source #
Ord IOStreamSpliceFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: IOStreamSpliceFlags -> IOStreamSpliceFlags -> Ordering Source #

(<) :: IOStreamSpliceFlags -> IOStreamSpliceFlags -> Bool Source #

(<=) :: IOStreamSpliceFlags -> IOStreamSpliceFlags -> Bool Source #

(>) :: IOStreamSpliceFlags -> IOStreamSpliceFlags -> Bool Source #

(>=) :: IOStreamSpliceFlags -> IOStreamSpliceFlags -> Bool Source #

max :: IOStreamSpliceFlags -> IOStreamSpliceFlags -> IOStreamSpliceFlags Source #

min :: IOStreamSpliceFlags -> IOStreamSpliceFlags -> IOStreamSpliceFlags Source #

Show IOStreamSpliceFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> IOStreamSpliceFlags -> ShowS Source # show :: IOStreamSpliceFlags -> String Source # showList :: [IOStreamSpliceFlags] -> ShowS Source #
IsGFlag IOStreamSpliceFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags IOStreamSpliceFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy IOStreamSpliceFlags -> IO GType Source #

## MountMountFlags

data MountMountFlags Source #

Flags used when mounting a mount.

Constructors

MountMountFlagsNone | No flags set.
AnotherMountMountFlags Int | Catch-all for unknown values

Instances

Enum MountMountFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: MountMountFlags -> MountMountFlags Source #

pred :: MountMountFlags -> MountMountFlags Source #

toEnum :: Int -> MountMountFlags Source #

fromEnum :: MountMountFlags -> Int Source #

enumFrom :: MountMountFlags -> [MountMountFlags] Source #

enumFromThen :: MountMountFlags -> MountMountFlags -> [MountMountFlags] Source #

enumFromTo :: MountMountFlags -> MountMountFlags -> [MountMountFlags] Source #

enumFromThenTo :: MountMountFlags -> MountMountFlags -> MountMountFlags -> [MountMountFlags] Source #

Eq MountMountFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: MountMountFlags -> MountMountFlags -> Bool Source # (/=) :: MountMountFlags -> MountMountFlags -> Bool Source #
Ord MountMountFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: MountMountFlags -> MountMountFlags -> Ordering Source #

(<) :: MountMountFlags -> MountMountFlags -> Bool Source #

(<=) :: MountMountFlags -> MountMountFlags -> Bool Source #

(>) :: MountMountFlags -> MountMountFlags -> Bool Source #

(>=) :: MountMountFlags -> MountMountFlags -> Bool Source #

max :: MountMountFlags -> MountMountFlags -> MountMountFlags Source #

min :: MountMountFlags -> MountMountFlags -> MountMountFlags Source #

Show MountMountFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> MountMountFlags -> ShowS Source # show :: MountMountFlags -> String Source # showList :: [MountMountFlags] -> ShowS Source #
IsGFlag MountMountFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags MountMountFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy MountMountFlags -> IO GType Source #

## MountUnmountFlags

data MountUnmountFlags Source #

Flags used when an unmounting a mount.

Constructors

MountUnmountFlagsNone | No flags set.
MountUnmountFlagsForce | Unmount even if there are outstanding file operations on the mount.
AnotherMountUnmountFlags Int | Catch-all for unknown values

Instances

Enum MountUnmountFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: MountUnmountFlags -> MountUnmountFlags Source #

pred :: MountUnmountFlags -> MountUnmountFlags Source #

toEnum :: Int -> MountUnmountFlags Source #

fromEnum :: MountUnmountFlags -> Int Source #

enumFrom :: MountUnmountFlags -> [MountUnmountFlags] Source #

enumFromThen :: MountUnmountFlags -> MountUnmountFlags -> [MountUnmountFlags] Source #

enumFromTo :: MountUnmountFlags -> MountUnmountFlags -> [MountUnmountFlags] Source #

enumFromThenTo :: MountUnmountFlags -> MountUnmountFlags -> MountUnmountFlags -> [MountUnmountFlags] Source #

Eq MountUnmountFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: MountUnmountFlags -> MountUnmountFlags -> Bool Source # (/=) :: MountUnmountFlags -> MountUnmountFlags -> Bool Source #
Ord MountUnmountFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: MountUnmountFlags -> MountUnmountFlags -> Ordering Source #

(<) :: MountUnmountFlags -> MountUnmountFlags -> Bool Source #

(<=) :: MountUnmountFlags -> MountUnmountFlags -> Bool Source #

(>) :: MountUnmountFlags -> MountUnmountFlags -> Bool Source #

(>=) :: MountUnmountFlags -> MountUnmountFlags -> Bool Source #

max :: MountUnmountFlags -> MountUnmountFlags -> MountUnmountFlags Source #

min :: MountUnmountFlags -> MountUnmountFlags -> MountUnmountFlags Source #

Show MountUnmountFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> MountUnmountFlags -> ShowS Source # show :: MountUnmountFlags -> String Source # showList :: [MountUnmountFlags] -> ShowS Source #
IsGFlag MountUnmountFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags MountUnmountFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy MountUnmountFlags -> IO GType Source #

## OutputStreamSpliceFlags

data OutputStreamSpliceFlags Source #

GOutputStreamSpliceFlags determine how streams should be spliced.

Constructors

OutputStreamSpliceFlagsNone | Do not close either stream.
OutputStreamSpliceFlagsCloseSource | Close the source stream after the splice.
OutputStreamSpliceFlagsCloseTarget | Close the target stream after the splice.
AnotherOutputStreamSpliceFlags Int | Catch-all for unknown values

Instances

Enum OutputStreamSpliceFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags Source #

pred :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags Source #

toEnum :: Int -> OutputStreamSpliceFlags Source #

fromEnum :: OutputStreamSpliceFlags -> Int Source #

enumFrom :: OutputStreamSpliceFlags -> [OutputStreamSpliceFlags] Source #

enumFromThen :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags -> [OutputStreamSpliceFlags] Source #

enumFromTo :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags -> [OutputStreamSpliceFlags] Source #

enumFromThenTo :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags -> OutputStreamSpliceFlags -> [OutputStreamSpliceFlags] Source #

Eq OutputStreamSpliceFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags -> Bool Source # (/=) :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags -> Bool Source #
Ord OutputStreamSpliceFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags -> Ordering Source #

(<) :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags -> Bool Source #

(<=) :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags -> Bool Source #

(>) :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags -> Bool Source #

(>=) :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags -> Bool Source #

max :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags -> OutputStreamSpliceFlags Source #

min :: OutputStreamSpliceFlags -> OutputStreamSpliceFlags -> OutputStreamSpliceFlags Source #

Show OutputStreamSpliceFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> OutputStreamSpliceFlags -> ShowS Source # show :: OutputStreamSpliceFlags -> String Source # showList :: [OutputStreamSpliceFlags] -> ShowS Source #
IsGFlag OutputStreamSpliceFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags OutputStreamSpliceFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy OutputStreamSpliceFlags -> IO GType Source #

## ResolverNameLookupFlags

data ResolverNameLookupFlags Source #

Flags to modify lookup behavior.

Since: 2.60

Constructors

ResolverNameLookupFlagsDefault | default behavior (same as `resolverLookupByName`)
ResolverNameLookupFlagsIpv4Only | only resolve ipv4 addresses
ResolverNameLookupFlagsIpv6Only | only resolve ipv6 addresses
AnotherResolverNameLookupFlags Int | Catch-all for unknown values

Instances

Enum ResolverNameLookupFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: ResolverNameLookupFlags -> ResolverNameLookupFlags Source #

pred :: ResolverNameLookupFlags -> ResolverNameLookupFlags Source #

toEnum :: Int -> ResolverNameLookupFlags Source #

fromEnum :: ResolverNameLookupFlags -> Int Source #

enumFrom :: ResolverNameLookupFlags -> [ResolverNameLookupFlags] Source #

enumFromThen :: ResolverNameLookupFlags -> ResolverNameLookupFlags -> [ResolverNameLookupFlags] Source #

enumFromTo :: ResolverNameLookupFlags -> ResolverNameLookupFlags -> [ResolverNameLookupFlags] Source #

enumFromThenTo :: ResolverNameLookupFlags -> ResolverNameLookupFlags -> ResolverNameLookupFlags -> [ResolverNameLookupFlags] Source #

Eq ResolverNameLookupFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: ResolverNameLookupFlags -> ResolverNameLookupFlags -> Bool Source # (/=) :: ResolverNameLookupFlags -> ResolverNameLookupFlags -> Bool Source #
Ord ResolverNameLookupFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: ResolverNameLookupFlags -> ResolverNameLookupFlags -> Ordering Source #

(<) :: ResolverNameLookupFlags -> ResolverNameLookupFlags -> Bool Source #

(<=) :: ResolverNameLookupFlags -> ResolverNameLookupFlags -> Bool Source #

(>) :: ResolverNameLookupFlags -> ResolverNameLookupFlags -> Bool Source #

(>=) :: ResolverNameLookupFlags -> ResolverNameLookupFlags -> Bool Source #

max :: ResolverNameLookupFlags -> ResolverNameLookupFlags -> ResolverNameLookupFlags Source #

min :: ResolverNameLookupFlags -> ResolverNameLookupFlags -> ResolverNameLookupFlags Source #

Show ResolverNameLookupFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> ResolverNameLookupFlags -> ShowS Source # show :: ResolverNameLookupFlags -> String Source # showList :: [ResolverNameLookupFlags] -> ShowS Source #
IsGFlag ResolverNameLookupFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags ResolverNameLookupFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy ResolverNameLookupFlags -> IO GType Source #

## ResourceFlags

data ResourceFlags Source #

GResourceFlags give information about a particular file inside a resource bundle.

Since: 2.32

Constructors

ResourceFlagsNone | No flags set.
ResourceFlagsCompressed | The file is compressed.
AnotherResourceFlags Int | Catch-all for unknown values

Instances

Enum ResourceFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: ResourceFlags -> ResourceFlags Source #

pred :: ResourceFlags -> ResourceFlags Source #

toEnum :: Int -> ResourceFlags Source #

fromEnum :: ResourceFlags -> Int Source #

enumFrom :: ResourceFlags -> [ResourceFlags] Source #

enumFromThen :: ResourceFlags -> ResourceFlags -> [ResourceFlags] Source #

enumFromTo :: ResourceFlags -> ResourceFlags -> [ResourceFlags] Source #

enumFromThenTo :: ResourceFlags -> ResourceFlags -> ResourceFlags -> [ResourceFlags] Source #

Eq ResourceFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: ResourceFlags -> ResourceFlags -> Bool Source # (/=) :: ResourceFlags -> ResourceFlags -> Bool Source #
Ord ResourceFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: ResourceFlags -> ResourceFlags -> Ordering Source #

(<) :: ResourceFlags -> ResourceFlags -> Bool Source #

(<=) :: ResourceFlags -> ResourceFlags -> Bool Source #

(>) :: ResourceFlags -> ResourceFlags -> Bool Source #

(>=) :: ResourceFlags -> ResourceFlags -> Bool Source #

max :: ResourceFlags -> ResourceFlags -> ResourceFlags Source #

min :: ResourceFlags -> ResourceFlags -> ResourceFlags Source #

Show ResourceFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> ResourceFlags -> ShowS Source # show :: ResourceFlags -> String Source # showList :: [ResourceFlags] -> ShowS Source #
IsGFlag ResourceFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags ResourceFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy ResourceFlags -> IO GType Source #

## ResourceLookupFlags

data ResourceLookupFlags Source #

GResourceLookupFlags determine how resource path lookups are handled.

Since: 2.32

Constructors

ResourceLookupFlagsNone | No flags set.
AnotherResourceLookupFlags Int | Catch-all for unknown values

Instances

Enum ResourceLookupFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: ResourceLookupFlags -> ResourceLookupFlags Source #

pred :: ResourceLookupFlags -> ResourceLookupFlags Source #

toEnum :: Int -> ResourceLookupFlags Source #

fromEnum :: ResourceLookupFlags -> Int Source #

enumFrom :: ResourceLookupFlags -> [ResourceLookupFlags] Source #

enumFromThen :: ResourceLookupFlags -> ResourceLookupFlags -> [ResourceLookupFlags] Source #

enumFromTo :: ResourceLookupFlags -> ResourceLookupFlags -> [ResourceLookupFlags] Source #

enumFromThenTo :: ResourceLookupFlags -> ResourceLookupFlags -> ResourceLookupFlags -> [ResourceLookupFlags] Source #

Eq ResourceLookupFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: ResourceLookupFlags -> ResourceLookupFlags -> Bool Source # (/=) :: ResourceLookupFlags -> ResourceLookupFlags -> Bool Source #
Ord ResourceLookupFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: ResourceLookupFlags -> ResourceLookupFlags -> Ordering Source #

(<) :: ResourceLookupFlags -> ResourceLookupFlags -> Bool Source #

(<=) :: ResourceLookupFlags -> ResourceLookupFlags -> Bool Source #

(>) :: ResourceLookupFlags -> ResourceLookupFlags -> Bool Source #

(>=) :: ResourceLookupFlags -> ResourceLookupFlags -> Bool Source #

max :: ResourceLookupFlags -> ResourceLookupFlags -> ResourceLookupFlags Source #

min :: ResourceLookupFlags -> ResourceLookupFlags -> ResourceLookupFlags Source #

Show ResourceLookupFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> ResourceLookupFlags -> ShowS Source # show :: ResourceLookupFlags -> String Source # showList :: [ResourceLookupFlags] -> ShowS Source #
IsGFlag ResourceLookupFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags ResourceLookupFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy ResourceLookupFlags -> IO GType Source #

## SettingsBindFlags

data SettingsBindFlags Source #

Flags used when creating a binding. These flags determine in which direction the binding works. The default is to synchronize in both directions.

Constructors

SettingsBindFlagsDefault | Equivalent to `G_SETTINGS_BIND_GET|G_SETTINGS_BIND_SET`
SettingsBindFlagsGet | Update the `Object` property when the setting changes. It is an error to use this flag if the property is not writable.
SettingsBindFlagsSet | Update the setting when the `Object` property changes. It is an error to use this flag if the property is not readable.
SettingsBindFlagsNoSensitivity | Do not try to bind a "sensitivity" property to the writability of the setting
SettingsBindFlagsGetNoChanges | When set in addition to `G_SETTINGS_BIND_GET`, set the `Object` property value initially from the setting, but do not listen for changes of the setting
SettingsBindFlagsInvertBoolean | When passed to `settingsBind`, uses a pair of mapping functions that invert the boolean value when mapping between the setting and the property. The setting and property must both be booleans. You cannot pass this flag to `g_settings_bind_with_mapping()`.
AnotherSettingsBindFlags Int | Catch-all for unknown values

Instances

Enum SettingsBindFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: SettingsBindFlags -> SettingsBindFlags Source #

pred :: SettingsBindFlags -> SettingsBindFlags Source #

toEnum :: Int -> SettingsBindFlags Source #

fromEnum :: SettingsBindFlags -> Int Source #

enumFrom :: SettingsBindFlags -> [SettingsBindFlags] Source #

enumFromThen :: SettingsBindFlags -> SettingsBindFlags -> [SettingsBindFlags] Source #

enumFromTo :: SettingsBindFlags -> SettingsBindFlags -> [SettingsBindFlags] Source #

enumFromThenTo :: SettingsBindFlags -> SettingsBindFlags -> SettingsBindFlags -> [SettingsBindFlags] Source #

Eq SettingsBindFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: SettingsBindFlags -> SettingsBindFlags -> Bool Source # (/=) :: SettingsBindFlags -> SettingsBindFlags -> Bool Source #
Ord SettingsBindFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: SettingsBindFlags -> SettingsBindFlags -> Ordering Source #

(<) :: SettingsBindFlags -> SettingsBindFlags -> Bool Source #

(<=) :: SettingsBindFlags -> SettingsBindFlags -> Bool Source #

(>) :: SettingsBindFlags -> SettingsBindFlags -> Bool Source #

(>=) :: SettingsBindFlags -> SettingsBindFlags -> Bool Source #

max :: SettingsBindFlags -> SettingsBindFlags -> SettingsBindFlags Source #

min :: SettingsBindFlags -> SettingsBindFlags -> SettingsBindFlags Source #

Show SettingsBindFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> SettingsBindFlags -> ShowS Source # show :: SettingsBindFlags -> String Source # showList :: [SettingsBindFlags] -> ShowS Source #
IsGFlag SettingsBindFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags SettingsBindFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy SettingsBindFlags -> IO GType Source #

## SocketMsgFlags

data SocketMsgFlags Source #

Flags used in `socketReceiveMessage` and `socketSendMessage`. The flags listed in the enum are some commonly available flags, but the values used for them are the same as on the platform, and any other flags are passed in/out as is. So to use a platform specific flag, just include the right system header and pass in the flag.

Since: 2.22

Constructors

SocketMsgFlagsNone | No flags.
SocketMsgFlagsOob | Request to send/receive out of band data.
SocketMsgFlagsPeek | Read data from the socket without removing it from the queue.
SocketMsgFlagsDontroute | Don't use a gateway to send out the packet, only send to hosts on directly connected networks.
AnotherSocketMsgFlags Int | Catch-all for unknown values

Instances

Enum SocketMsgFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: SocketMsgFlags -> SocketMsgFlags Source #

pred :: SocketMsgFlags -> SocketMsgFlags Source #

toEnum :: Int -> SocketMsgFlags Source #

fromEnum :: SocketMsgFlags -> Int Source #

enumFrom :: SocketMsgFlags -> [SocketMsgFlags] Source #

enumFromThen :: SocketMsgFlags -> SocketMsgFlags -> [SocketMsgFlags] Source #

enumFromTo :: SocketMsgFlags -> SocketMsgFlags -> [SocketMsgFlags] Source #

enumFromThenTo :: SocketMsgFlags -> SocketMsgFlags -> SocketMsgFlags -> [SocketMsgFlags] Source #

Eq SocketMsgFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: SocketMsgFlags -> SocketMsgFlags -> Bool Source # (/=) :: SocketMsgFlags -> SocketMsgFlags -> Bool Source #
Ord SocketMsgFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: SocketMsgFlags -> SocketMsgFlags -> Ordering Source #

(<) :: SocketMsgFlags -> SocketMsgFlags -> Bool Source #

(<=) :: SocketMsgFlags -> SocketMsgFlags -> Bool Source #

(>) :: SocketMsgFlags -> SocketMsgFlags -> Bool Source #

(>=) :: SocketMsgFlags -> SocketMsgFlags -> Bool Source #

max :: SocketMsgFlags -> SocketMsgFlags -> SocketMsgFlags Source #

min :: SocketMsgFlags -> SocketMsgFlags -> SocketMsgFlags Source #

Show SocketMsgFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> SocketMsgFlags -> ShowS Source # show :: SocketMsgFlags -> String Source # showList :: [SocketMsgFlags] -> ShowS Source #
IsGFlag SocketMsgFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags SocketMsgFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy SocketMsgFlags -> IO GType Source #

## SubprocessFlags

data SubprocessFlags Source #

Flags to define the behaviour of a `Subprocess`.

Note that the default for stdin is to redirect from `/dev/null`. For stdout and stderr the default are for them to inherit the corresponding descriptor from the calling process.

Note that it is a programmer error to mix 'incompatible' flags. For example, you may not request both `SubprocessFlagsStdoutPipe` and `SubprocessFlagsStdoutSilence`.

Since: 2.40

Constructors

SubprocessFlagsNone | No flags.
SubprocessFlagsStdinPipe | create a pipe for the stdin of the spawned process that can be accessed with `subprocessGetStdinPipe`.
SubprocessFlagsStdinInherit | stdin is inherited from the calling process.
SubprocessFlagsStdoutPipe | create a pipe for the stdout of the spawned process that can be accessed with `subprocessGetStdoutPipe`.
SubprocessFlagsStdoutSilence | silence the stdout of the spawned process (ie: redirect to `/dev/null`).
SubprocessFlagsStderrPipe | create a pipe for the stderr of the spawned process that can be accessed with `subprocessGetStderrPipe`.
SubprocessFlagsStderrSilence | silence the stderr of the spawned process (ie: redirect to `/dev/null`).
SubprocessFlagsStderrMerge | merge the stderr of the spawned process with whatever the stdout happens to be. This is a good way of directing both streams to a common log file, for example.
SubprocessFlagsInheritFds | spawned processes will inherit the file descriptors of their parent, unless those descriptors have been explicitly marked as close-on-exec. This flag has no effect over the "standard" file descriptors (stdin, stdout, stderr).
AnotherSubprocessFlags Int | Catch-all for unknown values

Instances

Enum SubprocessFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: SubprocessFlags -> SubprocessFlags Source #

pred :: SubprocessFlags -> SubprocessFlags Source #

toEnum :: Int -> SubprocessFlags Source #

fromEnum :: SubprocessFlags -> Int Source #

enumFrom :: SubprocessFlags -> [SubprocessFlags] Source #

enumFromThen :: SubprocessFlags -> SubprocessFlags -> [SubprocessFlags] Source #

enumFromTo :: SubprocessFlags -> SubprocessFlags -> [SubprocessFlags] Source #

enumFromThenTo :: SubprocessFlags -> SubprocessFlags -> SubprocessFlags -> [SubprocessFlags] Source #

Eq SubprocessFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: SubprocessFlags -> SubprocessFlags -> Bool Source # (/=) :: SubprocessFlags -> SubprocessFlags -> Bool Source #
Ord SubprocessFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: SubprocessFlags -> SubprocessFlags -> Ordering Source #

(<) :: SubprocessFlags -> SubprocessFlags -> Bool Source #

(<=) :: SubprocessFlags -> SubprocessFlags -> Bool Source #

(>) :: SubprocessFlags -> SubprocessFlags -> Bool Source #

(>=) :: SubprocessFlags -> SubprocessFlags -> Bool Source #

max :: SubprocessFlags -> SubprocessFlags -> SubprocessFlags Source #

min :: SubprocessFlags -> SubprocessFlags -> SubprocessFlags Source #

Show SubprocessFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> SubprocessFlags -> ShowS Source # show :: SubprocessFlags -> String Source # showList :: [SubprocessFlags] -> ShowS Source #
IsGFlag SubprocessFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags SubprocessFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy SubprocessFlags -> IO GType Source #

## TestDBusFlags

data TestDBusFlags Source #

Flags to define future `TestDBus` behaviour.

Since: 2.34

Constructors

TestDBusFlagsNone | No flags.
AnotherTestDBusFlags Int | Catch-all for unknown values

Instances

Enum TestDBusFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: TestDBusFlags -> TestDBusFlags Source #

pred :: TestDBusFlags -> TestDBusFlags Source #

toEnum :: Int -> TestDBusFlags Source #

fromEnum :: TestDBusFlags -> Int Source #

enumFrom :: TestDBusFlags -> [TestDBusFlags] Source #

enumFromThen :: TestDBusFlags -> TestDBusFlags -> [TestDBusFlags] Source #

enumFromTo :: TestDBusFlags -> TestDBusFlags -> [TestDBusFlags] Source #

enumFromThenTo :: TestDBusFlags -> TestDBusFlags -> TestDBusFlags -> [TestDBusFlags] Source #

Eq TestDBusFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: TestDBusFlags -> TestDBusFlags -> Bool Source # (/=) :: TestDBusFlags -> TestDBusFlags -> Bool Source #
Ord TestDBusFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: TestDBusFlags -> TestDBusFlags -> Ordering Source #

(<) :: TestDBusFlags -> TestDBusFlags -> Bool Source #

(<=) :: TestDBusFlags -> TestDBusFlags -> Bool Source #

(>) :: TestDBusFlags -> TestDBusFlags -> Bool Source #

(>=) :: TestDBusFlags -> TestDBusFlags -> Bool Source #

max :: TestDBusFlags -> TestDBusFlags -> TestDBusFlags Source #

min :: TestDBusFlags -> TestDBusFlags -> TestDBusFlags Source #

Show TestDBusFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> TestDBusFlags -> ShowS Source # show :: TestDBusFlags -> String Source # showList :: [TestDBusFlags] -> ShowS Source #
IsGFlag TestDBusFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags TestDBusFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy TestDBusFlags -> IO GType Source #

## TlsCertificateFlags

data TlsCertificateFlags Source #

A set of flags describing TLS certification validation. This can be used to set which validation steps to perform (eg, with `tlsClientConnectionSetValidationFlags`), or to describe why a particular certificate was rejected (eg, in `TlsConnection`::`accept-certificate`).

Since: 2.28

Constructors

TlsCertificateFlagsUnknownCa | The signing certificate authority is not known.
TlsCertificateFlagsBadIdentity | The certificate does not match the expected identity of the site that it was retrieved from.
TlsCertificateFlagsNotActivated | The certificate's activation time is still in the future
TlsCertificateFlagsExpired | The certificate has expired
TlsCertificateFlagsRevoked | The certificate has been revoked according to the 'GI.Gio.Objects.TlsConnection.TlsConnection'\'s certificate revocation list.
TlsCertificateFlagsInsecure | The certificate's algorithm is considered insecure.
TlsCertificateFlagsGenericError | Some other error occurred validating the certificate
TlsCertificateFlagsValidateAll | the combination of all of the above flags
AnotherTlsCertificateFlags Int | Catch-all for unknown values

Instances

Enum TlsCertificateFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: TlsCertificateFlags -> TlsCertificateFlags Source #

pred :: TlsCertificateFlags -> TlsCertificateFlags Source #

toEnum :: Int -> TlsCertificateFlags Source #

fromEnum :: TlsCertificateFlags -> Int Source #

enumFrom :: TlsCertificateFlags -> [TlsCertificateFlags] Source #

enumFromThen :: TlsCertificateFlags -> TlsCertificateFlags -> [TlsCertificateFlags] Source #

enumFromTo :: TlsCertificateFlags -> TlsCertificateFlags -> [TlsCertificateFlags] Source #

enumFromThenTo :: TlsCertificateFlags -> TlsCertificateFlags -> TlsCertificateFlags -> [TlsCertificateFlags] Source #

Eq TlsCertificateFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: TlsCertificateFlags -> TlsCertificateFlags -> Bool Source # (/=) :: TlsCertificateFlags -> TlsCertificateFlags -> Bool Source #
Ord TlsCertificateFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: TlsCertificateFlags -> TlsCertificateFlags -> Ordering Source #

(<) :: TlsCertificateFlags -> TlsCertificateFlags -> Bool Source #

(<=) :: TlsCertificateFlags -> TlsCertificateFlags -> Bool Source #

(>) :: TlsCertificateFlags -> TlsCertificateFlags -> Bool Source #

(>=) :: TlsCertificateFlags -> TlsCertificateFlags -> Bool Source #

max :: TlsCertificateFlags -> TlsCertificateFlags -> TlsCertificateFlags Source #

min :: TlsCertificateFlags -> TlsCertificateFlags -> TlsCertificateFlags Source #

Show TlsCertificateFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> TlsCertificateFlags -> ShowS Source # show :: TlsCertificateFlags -> String Source # showList :: [TlsCertificateFlags] -> ShowS Source #
IsGFlag TlsCertificateFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags TlsCertificateFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy TlsCertificateFlags -> IO GType Source #

## TlsDatabaseVerifyFlags

data TlsDatabaseVerifyFlags Source #

Flags for `tlsDatabaseVerifyChain`.

Since: 2.30

Constructors

TlsDatabaseVerifyFlagsNone | No verification flags
AnotherTlsDatabaseVerifyFlags Int | Catch-all for unknown values

Instances

Enum TlsDatabaseVerifyFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags Source #

pred :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags Source #

toEnum :: Int -> TlsDatabaseVerifyFlags Source #

fromEnum :: TlsDatabaseVerifyFlags -> Int Source #

enumFrom :: TlsDatabaseVerifyFlags -> [TlsDatabaseVerifyFlags] Source #

enumFromThen :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags -> [TlsDatabaseVerifyFlags] Source #

enumFromTo :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags -> [TlsDatabaseVerifyFlags] Source #

enumFromThenTo :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags -> [TlsDatabaseVerifyFlags] Source #

Eq TlsDatabaseVerifyFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags -> Bool Source # (/=) :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags -> Bool Source #
Ord TlsDatabaseVerifyFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags -> Ordering Source #

(<) :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags -> Bool Source #

(<=) :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags -> Bool Source #

(>) :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags -> Bool Source #

(>=) :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags -> Bool Source #

max :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags Source #

min :: TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags -> TlsDatabaseVerifyFlags Source #

Show TlsDatabaseVerifyFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> TlsDatabaseVerifyFlags -> ShowS Source # show :: TlsDatabaseVerifyFlags -> String Source # showList :: [TlsDatabaseVerifyFlags] -> ShowS Source #
IsGFlag TlsDatabaseVerifyFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags TlsDatabaseVerifyFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy TlsDatabaseVerifyFlags -> IO GType Source #

## TlsPasswordFlags

data TlsPasswordFlags Source #

Various flags for the password.

Since: 2.30

Constructors

TlsPasswordFlagsNone | No flags
TlsPasswordFlagsRetry | The password was wrong, and the user should retry.
TlsPasswordFlagsManyTries | Hint to the user that the password has been wrong many times, and the user may not have many chances left.
TlsPasswordFlagsFinalTry | Hint to the user that this is the last try to get this password right.
AnotherTlsPasswordFlags Int | Catch-all for unknown values

Instances

Enum TlsPasswordFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

succ :: TlsPasswordFlags -> TlsPasswordFlags Source #

pred :: TlsPasswordFlags -> TlsPasswordFlags Source #

toEnum :: Int -> TlsPasswordFlags Source #

fromEnum :: TlsPasswordFlags -> Int Source #

enumFrom :: TlsPasswordFlags -> [TlsPasswordFlags] Source #

enumFromThen :: TlsPasswordFlags -> TlsPasswordFlags -> [TlsPasswordFlags] Source #

enumFromTo :: TlsPasswordFlags -> TlsPasswordFlags -> [TlsPasswordFlags] Source #

enumFromThenTo :: TlsPasswordFlags -> TlsPasswordFlags -> TlsPasswordFlags -> [TlsPasswordFlags] Source #

Eq TlsPasswordFlags Source # |
Instance details Defined in GI.Gio.Flags Methods (==) :: TlsPasswordFlags -> TlsPasswordFlags -> Bool Source # (/=) :: TlsPasswordFlags -> TlsPasswordFlags -> Bool Source #
Ord TlsPasswordFlags Source # |

Instance details

Defined in GI.Gio.Flags

Methods

compare :: TlsPasswordFlags -> TlsPasswordFlags -> Ordering Source #

(<) :: TlsPasswordFlags -> TlsPasswordFlags -> Bool Source #

(<=) :: TlsPasswordFlags -> TlsPasswordFlags -> Bool Source #

(>) :: TlsPasswordFlags -> TlsPasswordFlags -> Bool Source #

(>=) :: TlsPasswordFlags -> TlsPasswordFlags -> Bool Source #

max :: TlsPasswordFlags -> TlsPasswordFlags -> TlsPasswordFlags Source #

min :: TlsPasswordFlags -> TlsPasswordFlags -> TlsPasswordFlags Source #

Show TlsPasswordFlags Source # |
Instance details Defined in GI.Gio.Flags Methods showsPrec :: Int -> TlsPasswordFlags -> ShowS Source # show :: TlsPasswordFlags -> String Source # showList :: [TlsPasswordFlags] -> ShowS Source #
IsGFlag TlsPasswordFlags Source # |
Instance details Defined in GI.Gio.Flags
BoxedFlags TlsPasswordFlags Source # |
Instance details Defined in GI.Gio.Flags Methods boxedFlagsType :: Proxy TlsPasswordFlags -> IO GType Source #